(* d_kp2ddy.m *)
(* Menu item 2-5 *)

(* Last Updated:  14 June, 2009, 14:35, 12:30 by DP at CSM *)

(* One specific version of the KADOMTSEV-PETVISHVILI (KP) EQUATION       *)
(* where a y-derivative has been applied to each term.                   *)

eq[1] = D[u[1][x,y,t],x,y,t] + alpha*(D[u[1][x,y,t],y]*D[u[1][x,y,t],{x,2}] +
        u[1][x,y,t]*D[u[1][x,y,t],{x,2},y] +
        2*D[u[1][x,y,t],x]*D[u[1][x,y,t],x,y]) +
        D[u[1][x,y,t],{x,4},y] + sigma^2*D[u[1][x,y,t],{y,3}];

(* NOTE:  To put the y-differentiated KP equation in evolution form,    *)
(* y and t must be interchanged. Then an auxillary dependent variable   *)
(* is be introduced, forming a system. The evolution system for the     *)
(* y-differentiated KP equation is                                      *)
(*
eq[1] = D[u[1][x,y,t],t] - u[2][x,y,t];

eq[2] = D[u[2][x,y,t],t] - u[3][x,y,t];

eq[3] = D[u[3][x,y,t],t] + (1/sigma^2)*(D[u[2][x,y,t],y,x] +
        2*alpha*D[u[1][x,y,t], x]*D[u[2][x,y,t],x] +
        alpha*u[2][x,y,t]*D[u[1][x,y,t],{x,2}] +
        alpha*u[1][x,y,t]*D[u[2][x,y,t],{x,2}] + D[u[2][x,y,t],{x,4}]);
*)

diffFunctionListINPUT = {eq[1]};
numDependentVariablesINPUT = 1;
independentVariableListINPUT = {x, y};
nameINPUT = "the Kadomtsev-Petvishvili Equation (with an added y-derivative"<>
            " applied throughout)";
(* noteINPUT = "To create evolution equations with respect to the t-variable, "<>
            "the variables y and t have been switched with each other in the "<>
            "equations given to the program." *)

parametersINPUT = {alpha};
weightedParametersINPUT = {};

userWeightRulesINPUT = {};
rankRhoINPUT = Null;
explicitIndependentVariablesInDensitiesINPUT = Null;

(* formRhoINPUT only works with the evolution system.  The conservation *)
(* laws being tested must be transformed to match the evolution system. *)
formRhoINPUT = {};

(* d_kp2ddy.m *)
(* end of file *)
