(************** Content-type: application/mathematica **************
                     CreatedBy='Mathematica 5.0'

                    Mathematica-Compatible Notebook

This notebook can be used with any Mathematica-compatible
application, such as Mathematica, MathReader or Publicon. The data
for the notebook starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do
one of the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the
  application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing
the word CacheID, otherwise Mathematica-compatible applications may
try to use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
*******************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[    194702,       5474]*)
(*NotebookOutlinePosition[    195366,       5497]*)
(*  CellTagsIndexPosition[    195322,       5493]*)
(*WindowFrame->Normal*)



Notebook[{

Cell[CellGroupData[{
Cell[TextData[StyleBox["Notebook for Running the Multi-dimensional \
ConservationLaws Program, ConservationLawsMD.m",
  FontSize->18]], "Subtitle"],

Cell[TextData[{
  "Notebook created 31 May, 2009 in ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " 5.0.  ConservationLawsMD.m will run in version 5, 6, and 7."
}], "Text"],

Cell["\<\
Set the directory to the location where the files for ConservationLawsMD.m \
are stored.  All data files must be in the same directory. 
SetDirectory[\"d:\\\\myPCDirectory\\\\subdirectory\"]; For example, *)\
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(SetDirectory["\<d:\\demoConservationLawsMD\>"]\)], "Input"],

Cell[BoxData[
    \("d:\\demoConservationLawsMD"\)], "Output"]
}, Open  ]],

Cell[BoxData[
    \( (*\ 
      SetDirectory["\<Y:\MA\Users\lpoole\Poole\Research\NewWork\C\
onservationLawsMD\>"]\ *) \)], "Input"],

Cell["Load the program file into the notebook.", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Get["\<ConservationLawsMD.m\>"]\)], "Input"],

Cell[BoxData[
    \("Code ConservationLawsMD.m of July 20, 2009 successfully loaded."\)], \
"Print"]
}, Open  ]],

Cell["\<\
ConservationLawsMD[] computes conservation laws for partial differential \
equations (PDEs).  A PDE can be chosen from the menu that appears when the \
program starts, or can be eneterd via a separate data file.\
\>", "Text"],

Cell[TextData[{
  "ConservationLawsMD[options] allows the user to view intermediate \
calclations by setting ",
  StyleBox["Verbose -> All", "Input"],
  " or ",
  StyleBox["Verbose -> Minimal", "Input"]
}], "Text"],

Cell["\<\
Verbose  controls the amount of output the user will see as the program runs.\
\
\>", "Text"],

Cell[BoxData[
    \(\(?Verbose\)\)], "Input"],

Cell["\<\
Start the program.  The program may prompt the user for instructions as it \
runs.  However, if the user wishes, all instructions can be preset in the \
data file for the PDE.  The data file names are listed with each PDE in the \
menu.\
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(ConservationLawsMD[Verbose \[Rule] All]\)], "Input"],

Cell[BoxData[
    \(" "\)], "Print"],

Cell[BoxData[
    \("  *** MENU INTERFACE *** "\)], "Print"],

Cell[BoxData[
    \("-------------------------------------------"\)], "Print"],

Cell[BoxData[
    \("   1) Cases in (1+1) Dimensions"\)], "Print"],

Cell[BoxData[
    \("   2) Cases in (2+1) and (3+1) Dimensions"\)], "Print"],

Cell[BoxData[
    \("  tt) Take Equation or System from a File"\)], "Print"],

Cell[BoxData[
    \("  qq) Exit the Program "\)], "Print"],

Cell[BoxData[
    \("-------------------------------------------"\)], "Print"],

Cell[BoxData[
    \(" "\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("  *** MENU INTERFACE ***  (page: "\[InvisibleSpace]1\
\[InvisibleSpace]")"\),
      SequenceForm[ "  *** MENU INTERFACE ***  (page: ", 1, ")"],
      Editable->False]], "Print"],

Cell[BoxData[
    \("-------------------------------------------"\)], "Print"],

Cell[BoxData[
    \("  1) (2+1) Zakharov-Kuznetsov (ZK) Equation (d_zk2d.m)"\)], "Print"],

Cell[BoxData[
    \("  2) (3+1) Zakharov-Kuznetsov (ZK) Equation (d_zk3d.m)"\)], "Print"],

Cell[BoxData[
    \("  3) (2+1) Kadomtsev-Petviashvili (KP) Equation (d_kp2d.m)"\)], "Print"],

Cell[BoxData[
    \("  4) (2+1) Potential Kadomtsev-Petviashvili Equation (d_kp2dpo.m)"\)], \
"Print"],

Cell[BoxData[
    \("  5) (2+1) KP Equation with extra y-derivative (d_kp2ddy.m)"\)], \
"Print"],

Cell[BoxData[
    \("  6) (2+1) Kadomtsev-Petviashvili-B Equation (d_kpb2d.m)"\)], "Print"],

Cell[BoxData[
    \("  7) (2+1) Alternative Kadomtsev-Petviashvili Equation \
(d_kp2dal.m)"\)], "Print"],

Cell[BoxData[
    \("  8) (3+1) Kadomtsev-Petviashvili Equation (d_kp3d.m)"\)], "Print"],

Cell[BoxData[
    \("  9) (3+1) Navier's Equation (d_navi3d.m)"\)], "Print"],

Cell[BoxData[
    \(" 10) (2+1) Gardner Equation (by Konopelchenko and Dubrovsky) \
(d_kd2d.m)"\)], "Print"],

Cell[BoxData[
    \(" nn) Next Page"\)], "Print"],

Cell[BoxData[
    \(" qq) Exit the Program"\)], "Print"],

Cell[BoxData[
    \("------------------------------------------"\)], "Print"],

Cell[BoxData[
    \(" "\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("  *** MENU INTERFACE ***  (page: "\[InvisibleSpace]2\
\[InvisibleSpace]")"\),
      SequenceForm[ "  *** MENU INTERFACE ***  (page: ", 2, ")"],
      Editable->False]], "Print"],

Cell[BoxData[
    \("-------------------------------------------"\)], "Print"],

Cell[BoxData[
    \(" 11) (2+1) Sawada-Kotera Equation (d_sk2d.m)"\)], "Print"],

Cell[BoxData[
    \(" 12) (2+1) Kaup-Kupershmidt Equation (d_kauk2D.m)"\)], "Print"],

Cell[BoxData[
    \(" 13) (2+1) Coupled Korteweg-de Vries System (d_kdv2d.m)"\)], "Print"],

Cell[BoxData[
    \(" 14) (2+1) Rotating Shallow Water Equations (d_rsw2d.m)"\)], "Print"],

Cell[BoxData[
    \(" 15) (2+1) Shallow Water Equations (Dellar) (d_dell2d.m)"\)], "Print"],

Cell[BoxData[
    \(" 16) (2+1) Shallow Water Magnetohydrodynamic Equations \
(d_de142d.m)"\)], "Print"],

Cell[BoxData[
    \(" 17) (2+1) Thermal Shallow Water Magnetohydrodynamic Eqns. \
(d_de342d.m)"\)], "Print"],

Cell[BoxData[
    \(" 18) (2+1) Khokhlov-Zabolotskaya (KZ) Equation (d_kz2d.m)"\)], "Print"],

Cell[BoxData[
    \(" 19) (2+1) Potential Khokhlov-Zabolotskaya Equation (d_kz2dpo.m)"\)], \
"Print"],

Cell[BoxData[
    \(" 20) (2+1) KZ Equation with extra y-derivative (d_kz2ddy.m)"\)], \
"Print"],

Cell[BoxData[
    \(" nn) Next Page"\)], "Print"],

Cell[BoxData[
    \(" qq) Exit the Program"\)], "Print"],

Cell[BoxData[
    \("------------------------------------------"\)], "Print"],

Cell[BoxData[
    \("------------------------------------------"\)], "Print"],

Cell[BoxData[
    \("  *** PARTIAL DIFFERENTIAL EQUATIONS *** "\)], "Print"],

Cell[BoxData[
    \("------------------------------------------"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("System given for "\[InvisibleSpace]"Fluid dynamics: \
Shallow Water Equations"\[InvisibleSpace]"."\),
      SequenceForm[ 
      "System given for ", "Fluid dynamics: Shallow Water Equations", "."],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[
      RowBox[{"\<\"\\n  \"\>", "\[InvisibleSpace]", 
        RowBox[{
          RowBox[{\(-2\), " ", "omega", " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_2\),
                    Subscript[ 2],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 2]],
                Editable->False], ")"}]}], "+", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_1\),
                Subscript[ 1],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_","\),
                Subscript[ ","],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[
                SubscriptBox["\[Null]", 
                  InterpretationBox["t",
                    SequenceForm[ t],
                    Editable->False]],
                Subscript[ 
                  SequenceForm[ t]],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 1], 
              Subscript[ ","], 
              Subscript[ 
                SequenceForm[ t]]],
            Editable->False], "+", 
          RowBox[{
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_1\),
                    Subscript[ 1],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 1]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_1\),
                    Subscript[ 1],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_","\),
                    Subscript[ ","],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubscriptBox["\[Null]", 
                      InterpretationBox["x",
                        SequenceForm[ x],
                        Editable->False]],
                    Subscript[ 
                      SequenceForm[ x]],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 1], 
                  Subscript[ ","], 
                  Subscript[ 
                    SequenceForm[ x]]],
                Editable->False], ")"}]}], "+", 
          RowBox[{
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_2\),
                    Subscript[ 2],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 2]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_1\),
                    Subscript[ 1],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_","\),
                    Subscript[ ","],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubscriptBox["\[Null]", 
                      InterpretationBox["y",
                        SequenceForm[ y],
                        Editable->False]],
                    Subscript[ 
                      SequenceForm[ y]],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 1], 
                  Subscript[ ","], 
                  Subscript[ 
                    SequenceForm[ y]]],
                Editable->False], ")"}]}], "+", 
          RowBox[{\(1\/2\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_4\),
                    Subscript[ 4],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 4]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_3\),
                    Subscript[ 3],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_","\),
                    Subscript[ ","],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubscriptBox["\[Null]", 
                      InterpretationBox["x",
                        SequenceForm[ x],
                        Editable->False]],
                    Subscript[ 
                      SequenceForm[ x]],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 3], 
                  Subscript[ ","], 
                  Subscript[ 
                    SequenceForm[ x]]],
                Editable->False], ")"}]}], "+", 
          RowBox[{
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_3\),
                    Subscript[ 3],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 3]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_4\),
                    Subscript[ 4],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_","\),
                    Subscript[ ","],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubscriptBox["\[Null]", 
                      InterpretationBox["x",
                        SequenceForm[ x],
                        Editable->False]],
                    Subscript[ 
                      SequenceForm[ x]],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 4], 
                  Subscript[ ","], 
                  Subscript[ 
                    SequenceForm[ x]]],
                Editable->False], ")"}]}]}], 
        "\[InvisibleSpace]", "\<\" = 0\\n\"\>"}],
      SequenceForm[ "\n  ", 
        Plus[ 
          Times[ -2, omega, 
            SequenceForm[ u, 
              Subscript[ 2]]], 
          SequenceForm[ u, 
            Subscript[ 1], 
            Subscript[ ","], 
            Subscript[ 
              SequenceForm[ t]]], 
          Times[ 
            SequenceForm[ u, 
              Subscript[ 1]], 
            SequenceForm[ u, 
              Subscript[ 1], 
              Subscript[ ","], 
              Subscript[ 
                SequenceForm[ x]]]], 
          Times[ 
            SequenceForm[ u, 
              Subscript[ 2]], 
            SequenceForm[ u, 
              Subscript[ 1], 
              Subscript[ ","], 
              Subscript[ 
                SequenceForm[ y]]]], 
          Times[ 
            Rational[ 1, 2], 
            SequenceForm[ u, 
              Subscript[ 4]], 
            SequenceForm[ u, 
              Subscript[ 3], 
              Subscript[ ","], 
              Subscript[ 
                SequenceForm[ x]]]], 
          Times[ 
            SequenceForm[ u, 
              Subscript[ 3]], 
            SequenceForm[ u, 
              Subscript[ 4], 
              Subscript[ ","], 
              Subscript[ 
                SequenceForm[ x]]]]], " = 0\n"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("\n Equation "\[InvisibleSpace]2\[InvisibleSpace]" of \
the system with "\[InvisibleSpace]4\[InvisibleSpace]" equations:"\),
      SequenceForm[ 
      "\n Equation ", 2, " of the system with ", 4, " equations:"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[
      RowBox[{"\<\"\\n  \"\>", "\[InvisibleSpace]", 
        RowBox[{
          RowBox[{"2", " ", "omega", " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_1\),
                    Subscript[ 1],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 1]],
                Editable->False], ")"}]}], "+", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_2\),
                Subscript[ 2],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_","\),
                Subscript[ ","],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[
                SubscriptBox["\[Null]", 
                  InterpretationBox["t",
                    SequenceForm[ t],
                    Editable->False]],
                Subscript[ 
                  SequenceForm[ t]],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 2], 
              Subscript[ ","], 
              Subscript[ 
                SequenceForm[ t]]],
            Editable->False], "+", 
          RowBox[{
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_1\),
                    Subscript[ 1],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 1]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_2\),
                    Subscript[ 2],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_","\),
                    Subscript[ ","],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubscriptBox["\[Null]", 
                      InterpretationBox["x",
                        SequenceForm[ x],
                        Editable->False]],
                    Subscript[ 
                      SequenceForm[ x]],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 2], 
                  Subscript[ ","], 
                  Subscript[ 
                    SequenceForm[ x]]],
                Editable->False], ")"}]}], "+", 
          RowBox[{
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_2\),
                    Subscript[ 2],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 2]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_2\),
                    Subscript[ 2],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_","\),
                    Subscript[ ","],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubscriptBox["\[Null]", 
                      InterpretationBox["y",
                        SequenceForm[ y],
                        Editable->False]],
                    Subscript[ 
                      SequenceForm[ y]],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 2], 
                  Subscript[ ","], 
                  Subscript[ 
                    SequenceForm[ y]]],
                Editable->False], ")"}]}], "+", 
          RowBox[{\(1\/2\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_4\),
                    Subscript[ 4],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 4]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_3\),
                    Subscript[ 3],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_","\),
                    Subscript[ ","],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubscriptBox["\[Null]", 
                      InterpretationBox["y",
                        SequenceForm[ y],
                        Editable->False]],
                    Subscript[ 
                      SequenceForm[ y]],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 3], 
                  Subscript[ ","], 
                  Subscript[ 
                    SequenceForm[ y]]],
                Editable->False], ")"}]}], "+", 
          RowBox[{
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_3\),
                    Subscript[ 3],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 3]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_4\),
                    Subscript[ 4],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_","\),
                    Subscript[ ","],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubscriptBox["\[Null]", 
                      InterpretationBox["y",
                        SequenceForm[ y],
                        Editable->False]],
                    Subscript[ 
                      SequenceForm[ y]],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 4], 
                  Subscript[ ","], 
                  Subscript[ 
                    SequenceForm[ y]]],
                Editable->False], ")"}]}]}], 
        "\[InvisibleSpace]", "\<\" = 0\\n\"\>"}],
      SequenceForm[ "\n  ", 
        Plus[ 
          Times[ 2, omega, 
            SequenceForm[ u, 
              Subscript[ 1]]], 
          SequenceForm[ u, 
            Subscript[ 2], 
            Subscript[ ","], 
            Subscript[ 
              SequenceForm[ t]]], 
          Times[ 
            SequenceForm[ u, 
              Subscript[ 1]], 
            SequenceForm[ u, 
              Subscript[ 2], 
              Subscript[ ","], 
              Subscript[ 
                SequenceForm[ x]]]], 
          Times[ 
            SequenceForm[ u, 
              Subscript[ 2]], 
            SequenceForm[ u, 
              Subscript[ 2], 
              Subscript[ ","], 
              Subscript[ 
                SequenceForm[ y]]]], 
          Times[ 
            Rational[ 1, 2], 
            SequenceForm[ u, 
              Subscript[ 4]], 
            SequenceForm[ u, 
              Subscript[ 3], 
              Subscript[ ","], 
              Subscript[ 
                SequenceForm[ y]]]], 
          Times[ 
            SequenceForm[ u, 
              Subscript[ 3]], 
            SequenceForm[ u, 
              Subscript[ 4], 
              Subscript[ ","], 
              Subscript[ 
                SequenceForm[ y]]]]], " = 0\n"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("\n Equation "\[InvisibleSpace]3\[InvisibleSpace]" of \
the system with "\[InvisibleSpace]4\[InvisibleSpace]" equations:"\),
      SequenceForm[ 
      "\n Equation ", 3, " of the system with ", 4, " equations:"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[
      RowBox[{"\<\"\\n  \"\>", "\[InvisibleSpace]", 
        RowBox[{
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_3\),
                Subscript[ 3],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_","\),
                Subscript[ ","],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[
                SubscriptBox["\[Null]", 
                  InterpretationBox["t",
                    SequenceForm[ t],
                    Editable->False]],
                Subscript[ 
                  SequenceForm[ t]],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 3], 
              Subscript[ ","], 
              Subscript[ 
                SequenceForm[ t]]],
            Editable->False], "+", 
          RowBox[{
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_1\),
                    Subscript[ 1],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 1]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_3\),
                    Subscript[ 3],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_","\),
                    Subscript[ ","],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubscriptBox["\[Null]", 
                      InterpretationBox["x",
                        SequenceForm[ x],
                        Editable->False]],
                    Subscript[ 
                      SequenceForm[ x]],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 3], 
                  Subscript[ ","], 
                  Subscript[ 
                    SequenceForm[ x]]],
                Editable->False], ")"}]}], "+", 
          RowBox[{
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_2\),
                    Subscript[ 2],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 2]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_3\),
                    Subscript[ 3],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_","\),
                    Subscript[ ","],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubscriptBox["\[Null]", 
                      InterpretationBox["y",
                        SequenceForm[ y],
                        Editable->False]],
                    Subscript[ 
                      SequenceForm[ y]],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 3], 
                  Subscript[ ","], 
                  Subscript[ 
                    SequenceForm[ y]]],
                Editable->False], ")"}]}]}], 
        "\[InvisibleSpace]", "\<\" = 0\\n\"\>"}],
      SequenceForm[ "\n  ", 
        Plus[ 
          SequenceForm[ u, 
            Subscript[ 3], 
            Subscript[ ","], 
            Subscript[ 
              SequenceForm[ t]]], 
          Times[ 
            SequenceForm[ u, 
              Subscript[ 1]], 
            SequenceForm[ u, 
              Subscript[ 3], 
              Subscript[ ","], 
              Subscript[ 
                SequenceForm[ x]]]], 
          Times[ 
            SequenceForm[ u, 
              Subscript[ 2]], 
            SequenceForm[ u, 
              Subscript[ 3], 
              Subscript[ ","], 
              Subscript[ 
                SequenceForm[ y]]]]], " = 0\n"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("\n Equation "\[InvisibleSpace]4\[InvisibleSpace]" of \
the system with "\[InvisibleSpace]4\[InvisibleSpace]" equations:"\),
      SequenceForm[ 
      "\n Equation ", 4, " of the system with ", 4, " equations:"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[
      RowBox[{"\<\"\\n  \"\>", "\[InvisibleSpace]", 
        RowBox[{
          RowBox[{
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_4\),
                    Subscript[ 4],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 4]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_1\),
                    Subscript[ 1],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_","\),
                    Subscript[ ","],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubscriptBox["\[Null]", 
                      InterpretationBox["x",
                        SequenceForm[ x],
                        Editable->False]],
                    Subscript[ 
                      SequenceForm[ x]],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 1], 
                  Subscript[ ","], 
                  Subscript[ 
                    SequenceForm[ x]]],
                Editable->False], ")"}]}], "+", 
          RowBox[{
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_4\),
                    Subscript[ 4],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 4]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_2\),
                    Subscript[ 2],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_","\),
                    Subscript[ ","],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubscriptBox["\[Null]", 
                      InterpretationBox["y",
                        SequenceForm[ y],
                        Editable->False]],
                    Subscript[ 
                      SequenceForm[ y]],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 2], 
                  Subscript[ ","], 
                  Subscript[ 
                    SequenceForm[ y]]],
                Editable->False], ")"}]}], "+", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_4\),
                Subscript[ 4],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_","\),
                Subscript[ ","],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[
                SubscriptBox["\[Null]", 
                  InterpretationBox["t",
                    SequenceForm[ t],
                    Editable->False]],
                Subscript[ 
                  SequenceForm[ t]],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 4], 
              Subscript[ ","], 
              Subscript[ 
                SequenceForm[ t]]],
            Editable->False], "+", 
          RowBox[{
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_1\),
                    Subscript[ 1],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 1]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_4\),
                    Subscript[ 4],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_","\),
                    Subscript[ ","],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubscriptBox["\[Null]", 
                      InterpretationBox["x",
                        SequenceForm[ x],
                        Editable->False]],
                    Subscript[ 
                      SequenceForm[ x]],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 4], 
                  Subscript[ ","], 
                  Subscript[ 
                    SequenceForm[ x]]],
                Editable->False], ")"}]}], "+", 
          RowBox[{
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_2\),
                    Subscript[ 2],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 2]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_4\),
                    Subscript[ 4],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_","\),
                    Subscript[ ","],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubscriptBox["\[Null]", 
                      InterpretationBox["y",
                        SequenceForm[ y],
                        Editable->False]],
                    Subscript[ 
                      SequenceForm[ y]],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 4], 
                  Subscript[ ","], 
                  Subscript[ 
                    SequenceForm[ y]]],
                Editable->False], ")"}]}]}], 
        "\[InvisibleSpace]", "\<\" = 0\\n\"\>"}],
      SequenceForm[ "\n  ", 
        Plus[ 
          Times[ 
            SequenceForm[ u, 
              Subscript[ 4]], 
            SequenceForm[ u, 
              Subscript[ 1], 
              Subscript[ ","], 
              Subscript[ 
                SequenceForm[ x]]]], 
          Times[ 
            SequenceForm[ u, 
              Subscript[ 4]], 
            SequenceForm[ u, 
              Subscript[ 2], 
              Subscript[ ","], 
              Subscript[ 
                SequenceForm[ y]]]], 
          SequenceForm[ u, 
            Subscript[ 4], 
            Subscript[ ","], 
            Subscript[ 
              SequenceForm[ t]]], 
          Times[ 
            SequenceForm[ u, 
              Subscript[ 1]], 
            SequenceForm[ u, 
              Subscript[ 4], 
              Subscript[ ","], 
              Subscript[ 
                SequenceForm[ x]]]], 
          Times[ 
            SequenceForm[ u, 
              Subscript[ 2]], 
            SequenceForm[ u, 
              Subscript[ 4], 
              Subscript[ ","], 
              Subscript[ 
                SequenceForm[ y]]]]], " = 0\n"],
      Editable->False]], "Print"],

Cell[BoxData[
    \("------------------------------------------"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Note: The program has been given \
"\[InvisibleSpace]{omega}\[InvisibleSpace]" as\n  a constant parameter that \
is in the given PDE. The\n  parameter {omega} will carry a weight. All \
parameters\n  are assumed to be nonzero throughout the calculations.  If\n  \
the program determines that a parameter must be zero, it will\n  disregard \
any conservation laws found under that condition."\),
      SequenceForm[ 
      "Note: The program has been given ", {omega}, 
        " as\n  a constant parameter that is in the given PDE. The\n  \
parameter {omega} will carry a weight. All parameters\n  are assumed to be \
nonzero throughout the calculations.  If\n  the program determines that a \
parameter must be zero, it will\n  disregard any conservation laws found \
under that condition."],
      Editable->False]], "Print"],

Cell[BoxData[
    \("Warning:  All parameters in the given partial differential system must \
be declared in the data file.  The program may not produce correct results if \
any parameters are left undeclared."\)], "Print"],

Cell[BoxData[
    \("------------------------------------------"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("  *** SYMBOLIC WEIGHT RULES ***\n\
"\[InvisibleSpace]"------------------------------------------"\),
      SequenceForm[ 
      "  *** SYMBOLIC WEIGHT RULES ***\n", 
        "------------------------------------------"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("\t"\[InvisibleSpace]weight[
          d\/dt]\[InvisibleSpace]" = "\[InvisibleSpace]weight[
          omega]\[InvisibleSpace]".\n"\),
      SequenceForm[ "\t", 
        weight[ 
          Times[ d, 
            Power[ dt, -1]]], " = ", 
        weight[ omega], ".\n"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("\t"\[InvisibleSpace]weight[
          u[1]]\[InvisibleSpace]" = "\[InvisibleSpace]\(\(-weight[d\/dx]\) + 
          weight[omega]\)\[InvisibleSpace]".\n"\),
      SequenceForm[ "\t", 
        weight[ 
          u[ 1]], " = ", 
        Plus[ 
          Times[ -1, 
            weight[ 
              Times[ d, 
                Power[ dx, -1]]]], 
          weight[ omega]], ".\n"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("\t"\[InvisibleSpace]weight[
          u[2]]\[InvisibleSpace]" = "\[InvisibleSpace]\(\(-weight[d\/dx]\) + 
          weight[omega]\)\[InvisibleSpace]".\n"\),
      SequenceForm[ "\t", 
        weight[ 
          u[ 2]], " = ", 
        Plus[ 
          Times[ -1, 
            weight[ 
              Times[ d, 
                Power[ dx, -1]]]], 
          weight[ omega]], ".\n"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("\t"\[InvisibleSpace]weight[
          u[3]]\[InvisibleSpace]" = "\[InvisibleSpace]\(\(-2\)\ weight[
              d\/dx] + 2\ weight[omega] - 
          weight[u[4]]\)\[InvisibleSpace]".\n"\),
      SequenceForm[ "\t", 
        weight[ 
          u[ 3]], " = ", 
        Plus[ 
          Times[ -2, 
            weight[ 
              Times[ d, 
                Power[ dx, -1]]]], 
          Times[ 2, 
            weight[ omega]], 
          Times[ -1, 
            weight[ 
              u[ 4]]]], ".\n"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("\t"\[InvisibleSpace]weight[
          d\/dy]\[InvisibleSpace]" = "\[InvisibleSpace]weight[
          d\/dx]\[InvisibleSpace]".\n"\),
      SequenceForm[ "\t", 
        weight[ 
          Times[ d, 
            Power[ dy, -1]]], " = ", 
        weight[ 
          Times[ d, 
            Power[ dx, -1]]], ".\n"],
      Editable->False]], "Print"],

Cell[BoxData[
    \("------------------------------------------"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("  *** NUMERIC WEIGHT RULES ***\n\
"\[InvisibleSpace]"------------------------------------------"\),
      SequenceForm[ 
      "  *** NUMERIC WEIGHT RULES ***\n", 
        "------------------------------------------"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("\t"\[InvisibleSpace]weight[
          d\/dt]\[InvisibleSpace]" = "\[InvisibleSpace]2\[InvisibleSpace]".\n\
"\),
      SequenceForm[ "\t", 
        weight[ 
          Times[ d, 
            Power[ dt, -1]]], " = ", 2, ".\n"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("\t"\[InvisibleSpace]weight[
          u[1]]\[InvisibleSpace]" = "\[InvisibleSpace]1\[InvisibleSpace]".\n"\
\),
      SequenceForm[ "\t", 
        weight[ 
          u[ 1]], " = ", 1, ".\n"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("\t"\[InvisibleSpace]weight[
          u[2]]\[InvisibleSpace]" = "\[InvisibleSpace]1\[InvisibleSpace]".\n"\
\),
      SequenceForm[ "\t", 
        weight[ 
          u[ 2]], " = ", 1, ".\n"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("\t"\[InvisibleSpace]weight[
          u[3]]\[InvisibleSpace]" = "\[InvisibleSpace]1\[InvisibleSpace]".\n"\
\),
      SequenceForm[ "\t", 
        weight[ 
          u[ 3]], " = ", 1, ".\n"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("\t"\[InvisibleSpace]weight[
          d\/dy]\[InvisibleSpace]" = "\[InvisibleSpace]1\[InvisibleSpace]".\n\
"\),
      SequenceForm[ "\t", 
        weight[ 
          Times[ d, 
            Power[ dy, -1]]], " = ", 1, ".\n"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("\t"\[InvisibleSpace]weight[
          d\/dx]\[InvisibleSpace]" = "\[InvisibleSpace]1\[InvisibleSpace]".\n\
"\),
      SequenceForm[ "\t", 
        weight[ 
          Times[ d, 
            Power[ dx, -1]]], " = ", 1, ".\n"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("\t"\[InvisibleSpace]weight[
          omega]\[InvisibleSpace]" = "\[InvisibleSpace]2\[InvisibleSpace]".\n\
"\),
      SequenceForm[ "\t", 
        weight[ omega], " = ", 2, ".\n"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("\t"\[InvisibleSpace]weight[
          u[4]]\[InvisibleSpace]" = "\[InvisibleSpace]1\[InvisibleSpace]".\n"\
\),
      SequenceForm[ "\t", 
        weight[ 
          u[ 4]], " = ", 1, ".\n"],
      Editable->False]], "Print"],

Cell[BoxData[
    \("------------------------------------------"\)], "Print"],

Cell[BoxData[
    \("An input window should appear asking the user to whether to include \
explicit independent variables in the calculations.  If no input box appears, \
it may be hiding behind the current window.  Lower or reduce the window to \
find it."\)], "Print"],

Cell[BoxData[
    \("An input window should appear asking the user to enter the rank.  If \
no input box appears, it may be hiding behind the current window.  Lower or \
reduce the window to find it."\)], "Print"],

Cell[BoxData[
    \("==================================================================="\)]\
, "Print"],

Cell[BoxData[
    InterpretationBox[\("Attempting to find conservation law(s) for RANK "\
\[InvisibleSpace]3\[InvisibleSpace]"."\),
      SequenceForm[ 
      "Attempting to find conservation law(s) for RANK ", 3, "."],
      Editable->False]], "Print"],

Cell[BoxData[
    \("------------------------------------------"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("  *** "\[InvisibleSpace]"CANDIDATES for DENSITIES"\
\[InvisibleSpace]" ***"\),
      SequenceForm[ "  *** ", "CANDIDATES for DENSITIES", " ***"],
      Editable->False]], "Print"],

Cell[BoxData[
    \("------------------------------------------"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("There "\[InvisibleSpace]"are "\[InvisibleSpace]10\
\[InvisibleSpace]" density candidate"\[InvisibleSpace]"s."\),
      SequenceForm[ "There ", "are ", 10, " density candidate", "s."],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Density candidate "\[InvisibleSpace]1\
\[InvisibleSpace]" is:"\),
      SequenceForm[ "Density candidate ", 1, " is:"],
      Editable->False]], "Print"],

Cell[BoxData[
    RowBox[{
      RowBox[{"omega", " ", \(c[1]\), " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_1\),
                Subscript[ 1],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 1]],
            Editable->False], ")"}]}], "+", 
      RowBox[{"omega", " ", \(c[2]\), " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_2\),
                Subscript[ 2],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 2]],
            Editable->False], ")"}]}], "+", 
      RowBox[{\(c[5]\), " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_2\),
                Subscript[ 2],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 2]],
            Editable->False], ")"}], " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_1\),
                Subscript[ 1],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_","\),
                Subscript[ ","],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[
                SubscriptBox["\[Null]", 
                  InterpretationBox["x",
                    SequenceForm[ x],
                    Editable->False]],
                Subscript[ 
                  SequenceForm[ x]],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 1], 
              Subscript[ ","], 
              Subscript[ 
                SequenceForm[ x]]],
            Editable->False], ")"}]}], "+", 
      RowBox[{\(c[3]\), " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_2\),
                Subscript[ 2],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 2]],
            Editable->False], ")"}], " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_1\),
                Subscript[ 1],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_","\),
                Subscript[ ","],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[
                SubscriptBox["\[Null]", 
                  InterpretationBox["y",
                    SequenceForm[ y],
                    Editable->False]],
                Subscript[ 
                  SequenceForm[ y]],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 1], 
              Subscript[ ","], 
              Subscript[ 
                SequenceForm[ y]]],
            Editable->False], ")"}]}], "+", 
      RowBox[{\(c[6]\), " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_4\),
                Subscript[ 4],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 4]],
            Editable->False], ")"}], " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_3\),
                Subscript[ 3],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_","\),
                Subscript[ ","],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[
                SubscriptBox["\[Null]", 
                  InterpretationBox["x",
                    SequenceForm[ x],
                    Editable->False]],
                Subscript[ 
                  SequenceForm[ x]],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 3], 
              Subscript[ ","], 
              Subscript[ 
                SequenceForm[ x]]],
            Editable->False], ")"}]}], "+", 
      RowBox[{\(c[4]\), " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_4\),
                Subscript[ 4],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 4]],
            Editable->False], ")"}], " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_3\),
                Subscript[ 3],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_","\),
                Subscript[ ","],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[
                SubscriptBox["\[Null]", 
                  InterpretationBox["y",
                    SequenceForm[ y],
                    Editable->False]],
                Subscript[ 
                  SequenceForm[ y]],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 3], 
              Subscript[ ","], 
              Subscript[ 
                SequenceForm[ y]]],
            Editable->False], ")"}]}]}]], "Print"],

Cell[BoxData[
    InterpretationBox[\("There "\[InvisibleSpace]"are "\[InvisibleSpace]6\
\[InvisibleSpace]" term"\[InvisibleSpace]"s in candidate density "\
\[InvisibleSpace]1\[InvisibleSpace]"."\),
      SequenceForm[ 
      "There ", "are ", 6, " term", "s in candidate density ", 1, "."],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Density candidate "\[InvisibleSpace]2\
\[InvisibleSpace]" is:"\),
      SequenceForm[ "Density candidate ", 2, " is:"],
      Editable->False]], "Print"],

Cell[BoxData[
    RowBox[{
      RowBox[{\(c[1]\), " ", 
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_1\),
                  Subscript[ 1],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 1]],
              Editable->False], ")"}], "3"]}], "+", 
      RowBox[{\(c[2]\), " ", 
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_1\),
                  Subscript[ 1],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 1]],
              Editable->False], ")"}], "2"], " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_2\),
                Subscript[ 2],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 2]],
            Editable->False], ")"}]}], "+", 
      RowBox[{\(c[3]\), " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_1\),
                Subscript[ 1],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 1]],
            Editable->False], ")"}], " ", 
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_2\),
                  Subscript[ 2],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 2]],
              Editable->False], ")"}], "2"]}], "+", 
      RowBox[{\(c[4]\), " ", 
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_2\),
                  Subscript[ 2],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 2]],
              Editable->False], ")"}], "3"]}], "+", 
      RowBox[{\(c[5]\), " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_1\),
                Subscript[ 1],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 1]],
            Editable->False], ")"}], " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_3\),
                Subscript[ 3],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 3]],
            Editable->False], ")"}], " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_4\),
                Subscript[ 4],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 4]],
            Editable->False], ")"}]}], "+", 
      RowBox[{\(c[6]\), " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_2\),
                Subscript[ 2],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 2]],
            Editable->False], ")"}], " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_3\),
                Subscript[ 3],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 3]],
            Editable->False], ")"}], " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_4\),
                Subscript[ 4],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 4]],
            Editable->False], ")"}]}]}]], "Print"],

Cell[BoxData[
    InterpretationBox[\("There "\[InvisibleSpace]"are "\[InvisibleSpace]6\
\[InvisibleSpace]" term"\[InvisibleSpace]"s in candidate density "\
\[InvisibleSpace]2\[InvisibleSpace]"."\),
      SequenceForm[ 
      "There ", "are ", 6, " term", "s in candidate density ", 2, "."],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Density candidate "\[InvisibleSpace]3\
\[InvisibleSpace]" is:"\),
      SequenceForm[ "Density candidate ", 3, " is:"],
      Editable->False]], "Print"],

Cell[BoxData[
    RowBox[{\(c[1]\), " ", 
      SuperscriptBox[
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_3\),
                Subscript[ 3],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 3]],
            Editable->False], ")"}], "3"]}]], "Print"],

Cell[BoxData[
    InterpretationBox[\("There "\[InvisibleSpace]"is "\[InvisibleSpace]1\
\[InvisibleSpace]" term"\[InvisibleSpace]" in candidate density "\
\[InvisibleSpace]3\[InvisibleSpace]"."\),
      SequenceForm[ 
      "There ", "is ", 1, " term", " in candidate density ", 3, "."],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Density candidate "\[InvisibleSpace]4\
\[InvisibleSpace]" is:"\),
      SequenceForm[ "Density candidate ", 4, " is:"],
      Editable->False]], "Print"],

Cell[BoxData[
    RowBox[{
      RowBox[{\(c[1]\), " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_1\),
                Subscript[ 1],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 1]],
            Editable->False], ")"}], " ", 
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_3\),
                  Subscript[ 3],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 3]],
              Editable->False], ")"}], "2"]}], "+", 
      RowBox[{\(c[2]\), " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_2\),
                Subscript[ 2],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 2]],
            Editable->False], ")"}], " ", 
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_3\),
                  Subscript[ 3],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 3]],
              Editable->False], ")"}], "2"]}]}]], "Print"],

Cell[BoxData[
    InterpretationBox[\("There "\[InvisibleSpace]"are "\[InvisibleSpace]2\
\[InvisibleSpace]" term"\[InvisibleSpace]"s in candidate density "\
\[InvisibleSpace]4\[InvisibleSpace]"."\),
      SequenceForm[ 
      "There ", "are ", 2, " term", "s in candidate density ", 4, "."],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Density candidate "\[InvisibleSpace]5\
\[InvisibleSpace]" is:"\),
      SequenceForm[ "Density candidate ", 5, " is:"],
      Editable->False]], "Print"],

Cell[BoxData[
    RowBox[{
      RowBox[{"omega", " ", \(c[1]\), " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_3\),
                Subscript[ 3],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 3]],
            Editable->False], ")"}]}], "+", 
      RowBox[{\(c[4]\), " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_3\),
                Subscript[ 3],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 3]],
            Editable->False], ")"}], " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_1\),
                Subscript[ 1],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_","\),
                Subscript[ ","],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[
                SubscriptBox["\[Null]", 
                  InterpretationBox["x",
                    SequenceForm[ x],
                    Editable->False]],
                Subscript[ 
                  SequenceForm[ x]],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 1], 
              Subscript[ ","], 
              Subscript[ 
                SequenceForm[ x]]],
            Editable->False], ")"}]}], "+", 
      RowBox[{\(c[2]\), " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_3\),
                Subscript[ 3],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 3]],
            Editable->False], ")"}], " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_1\),
                Subscript[ 1],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_","\),
                Subscript[ ","],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[
                SubscriptBox["\[Null]", 
                  InterpretationBox["y",
                    SequenceForm[ y],
                    Editable->False]],
                Subscript[ 
                  SequenceForm[ y]],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 1], 
              Subscript[ ","], 
              Subscript[ 
                SequenceForm[ y]]],
            Editable->False], ")"}]}], "+", 
      RowBox[{\(c[5]\), " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_3\),
                Subscript[ 3],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 3]],
            Editable->False], ")"}], " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_2\),
                Subscript[ 2],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_","\),
                Subscript[ ","],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[
                SubscriptBox["\[Null]", 
                  InterpretationBox["x",
                    SequenceForm[ x],
                    Editable->False]],
                Subscript[ 
                  SequenceForm[ x]],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 2], 
              Subscript[ ","], 
              Subscript[ 
                SequenceForm[ x]]],
            Editable->False], ")"}]}], "+", 
      RowBox[{\(c[3]\), " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_3\),
                Subscript[ 3],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 3]],
            Editable->False], ")"}], " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_2\),
                Subscript[ 2],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_","\),
                Subscript[ ","],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[
                SubscriptBox["\[Null]", 
                  InterpretationBox["y",
                    SequenceForm[ y],
                    Editable->False]],
                Subscript[ 
                  SequenceForm[ y]],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 2], 
              Subscript[ ","], 
              Subscript[ 
                SequenceForm[ y]]],
            Editable->False], ")"}]}]}]], "Print"],

Cell[BoxData[
    InterpretationBox[\("There "\[InvisibleSpace]"are "\[InvisibleSpace]5\
\[InvisibleSpace]" term"\[InvisibleSpace]"s in candidate density "\
\[InvisibleSpace]5\[InvisibleSpace]"."\),
      SequenceForm[ 
      "There ", "are ", 5, " term", "s in candidate density ", 5, "."],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Density candidate "\[InvisibleSpace]6\
\[InvisibleSpace]" is:"\),
      SequenceForm[ "Density candidate ", 6, " is:"],
      Editable->False]], "Print"],

Cell[BoxData[
    RowBox[{
      RowBox[{\(c[1]\), " ", 
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_1\),
                  Subscript[ 1],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 1]],
              Editable->False], ")"}], "2"], " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_3\),
                Subscript[ 3],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 3]],
            Editable->False], ")"}]}], "+", 
      RowBox[{\(c[2]\), " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_1\),
                Subscript[ 1],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 1]],
            Editable->False], ")"}], " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_2\),
                Subscript[ 2],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 2]],
            Editable->False], ")"}], " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_3\),
                Subscript[ 3],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 3]],
            Editable->False], ")"}]}], "+", 
      RowBox[{\(c[3]\), " ", 
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_2\),
                  Subscript[ 2],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 2]],
              Editable->False], ")"}], "2"], " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_3\),
                Subscript[ 3],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 3]],
            Editable->False], ")"}]}], "+", 
      RowBox[{\(c[4]\), " ", 
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_3\),
                  Subscript[ 3],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 3]],
              Editable->False], ")"}], "2"], " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_4\),
                Subscript[ 4],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 4]],
            Editable->False], ")"}]}]}]], "Print"],

Cell[BoxData[
    InterpretationBox[\("There "\[InvisibleSpace]"are "\[InvisibleSpace]4\
\[InvisibleSpace]" term"\[InvisibleSpace]"s in candidate density "\
\[InvisibleSpace]6\[InvisibleSpace]"."\),
      SequenceForm[ 
      "There ", "are ", 4, " term", "s in candidate density ", 6, "."],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Density candidate "\[InvisibleSpace]7\
\[InvisibleSpace]" is:"\),
      SequenceForm[ "Density candidate ", 7, " is:"],
      Editable->False]], "Print"],

Cell[BoxData[
    RowBox[{\(c[1]\), " ", 
      SuperscriptBox[
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_4\),
                Subscript[ 4],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 4]],
            Editable->False], ")"}], "3"]}]], "Print"],

Cell[BoxData[
    InterpretationBox[\("There "\[InvisibleSpace]"is "\[InvisibleSpace]1\
\[InvisibleSpace]" term"\[InvisibleSpace]" in candidate density "\
\[InvisibleSpace]7\[InvisibleSpace]"."\),
      SequenceForm[ 
      "There ", "is ", 1, " term", " in candidate density ", 7, "."],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Density candidate "\[InvisibleSpace]8\
\[InvisibleSpace]" is:"\),
      SequenceForm[ "Density candidate ", 8, " is:"],
      Editable->False]], "Print"],

Cell[BoxData[
    RowBox[{
      RowBox[{"omega", " ", \(c[1]\), " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_4\),
                Subscript[ 4],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 4]],
            Editable->False], ")"}]}], "+", 
      RowBox[{\(c[4]\), " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_4\),
                Subscript[ 4],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 4]],
            Editable->False], ")"}], " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_1\),
                Subscript[ 1],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_","\),
                Subscript[ ","],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[
                SubscriptBox["\[Null]", 
                  InterpretationBox["x",
                    SequenceForm[ x],
                    Editable->False]],
                Subscript[ 
                  SequenceForm[ x]],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 1], 
              Subscript[ ","], 
              Subscript[ 
                SequenceForm[ x]]],
            Editable->False], ")"}]}], "+", 
      RowBox[{\(c[2]\), " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_4\),
                Subscript[ 4],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 4]],
            Editable->False], ")"}], " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_1\),
                Subscript[ 1],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_","\),
                Subscript[ ","],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[
                SubscriptBox["\[Null]", 
                  InterpretationBox["y",
                    SequenceForm[ y],
                    Editable->False]],
                Subscript[ 
                  SequenceForm[ y]],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 1], 
              Subscript[ ","], 
              Subscript[ 
                SequenceForm[ y]]],
            Editable->False], ")"}]}], "+", 
      RowBox[{\(c[5]\), " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_4\),
                Subscript[ 4],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 4]],
            Editable->False], ")"}], " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_2\),
                Subscript[ 2],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_","\),
                Subscript[ ","],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[
                SubscriptBox["\[Null]", 
                  InterpretationBox["x",
                    SequenceForm[ x],
                    Editable->False]],
                Subscript[ 
                  SequenceForm[ x]],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 2], 
              Subscript[ ","], 
              Subscript[ 
                SequenceForm[ x]]],
            Editable->False], ")"}]}], "+", 
      RowBox[{\(c[3]\), " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_4\),
                Subscript[ 4],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 4]],
            Editable->False], ")"}], " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_2\),
                Subscript[ 2],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_","\),
                Subscript[ ","],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[
                SubscriptBox["\[Null]", 
                  InterpretationBox["y",
                    SequenceForm[ y],
                    Editable->False]],
                Subscript[ 
                  SequenceForm[ y]],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 2], 
              Subscript[ ","], 
              Subscript[ 
                SequenceForm[ y]]],
            Editable->False], ")"}]}]}]], "Print"],

Cell[BoxData[
    InterpretationBox[\("There "\[InvisibleSpace]"are "\[InvisibleSpace]5\
\[InvisibleSpace]" term"\[InvisibleSpace]"s in candidate density "\
\[InvisibleSpace]8\[InvisibleSpace]"."\),
      SequenceForm[ 
      "There ", "are ", 5, " term", "s in candidate density ", 8, "."],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Density candidate "\[InvisibleSpace]9\
\[InvisibleSpace]" is:"\),
      SequenceForm[ "Density candidate ", 9, " is:"],
      Editable->False]], "Print"],

Cell[BoxData[
    RowBox[{
      RowBox[{\(c[1]\), " ", 
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_1\),
                  Subscript[ 1],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 1]],
              Editable->False], ")"}], "2"], " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_4\),
                Subscript[ 4],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 4]],
            Editable->False], ")"}]}], "+", 
      RowBox[{\(c[2]\), " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_1\),
                Subscript[ 1],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 1]],
            Editable->False], ")"}], " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_2\),
                Subscript[ 2],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 2]],
            Editable->False], ")"}], " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_4\),
                Subscript[ 4],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 4]],
            Editable->False], ")"}]}], "+", 
      RowBox[{\(c[3]\), " ", 
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_2\),
                  Subscript[ 2],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 2]],
              Editable->False], ")"}], "2"], " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_4\),
                Subscript[ 4],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 4]],
            Editable->False], ")"}]}], "+", 
      RowBox[{\(c[4]\), " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_3\),
                Subscript[ 3],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 3]],
            Editable->False], ")"}], " ", 
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_4\),
                  Subscript[ 4],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 4]],
              Editable->False], ")"}], "2"]}]}]], "Print"],

Cell[BoxData[
    InterpretationBox[\("There "\[InvisibleSpace]"are "\[InvisibleSpace]4\
\[InvisibleSpace]" term"\[InvisibleSpace]"s in candidate density "\
\[InvisibleSpace]9\[InvisibleSpace]"."\),
      SequenceForm[ 
      "There ", "are ", 4, " term", "s in candidate density ", 9, "."],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Density candidate "\[InvisibleSpace]10\
\[InvisibleSpace]" is:"\),
      SequenceForm[ "Density candidate ", 10, " is:"],
      Editable->False]], "Print"],

Cell[BoxData[
    RowBox[{
      RowBox[{\(c[1]\), " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_1\),
                Subscript[ 1],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 1]],
            Editable->False], ")"}], " ", 
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_4\),
                  Subscript[ 4],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 4]],
              Editable->False], ")"}], "2"]}], "+", 
      RowBox[{\(c[2]\), " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_2\),
                Subscript[ 2],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 2]],
            Editable->False], ")"}], " ", 
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_4\),
                  Subscript[ 4],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 4]],
              Editable->False], ")"}], "2"]}]}]], "Print"],

Cell[BoxData[
    InterpretationBox[\("There "\[InvisibleSpace]"are "\[InvisibleSpace]2\
\[InvisibleSpace]" term"\[InvisibleSpace]"s in candidate density "\
\[InvisibleSpace]10\[InvisibleSpace]"."\),
      SequenceForm[ 
      "There ", "are ", 2, " term", "s in candidate density ", 10, "."],
      Editable->False]], "Print"],

Cell[BoxData[
    \("------------------------------------------"\)], "Print"],

Cell[BoxData[
    \("------------------------------------------"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("The system of undetermined coefficients, c[i], for \
candidate density "\[InvisibleSpace]1\[InvisibleSpace]" has \
"\[InvisibleSpace]0\[InvisibleSpace]" equations."\),
      SequenceForm[ 
      "The system of undetermined coefficients, c[i], for candidate density ",
         1, " has ", 0, " equations."],
      Editable->False]], "Print"],

Cell[BoxData[
    \({}\)], "Print"],

Cell[BoxData[
    \("Initial analysis of the system of undetermined coefficients shows that \
these c[i] must be zero:"\)], "Print"],

Cell[BoxData[
    \({c[1] \[Rule] 0, c[2] \[Rule] 0, c[3] \[Rule] 0, c[4] \[Rule] 0, 
      c[5] \[Rule] 0, c[6] \[Rule] 0}\)], "Print"],

Cell[BoxData[
    \("The system of c[i] is simplified by replacing all c[i] -> 0 with 0, \
factoring and removing common factors, and by removing duplicate equations. \
The updated system has 0 equations:"\)], "Print"],

Cell[BoxData[
    \({}\)], "Print"],

Cell[BoxData[
    \("All c[i] in the system have been found to be zero.  No density exists \
for this candidate."\)], "Print"],

Cell[BoxData[
    \("------------------------------------------"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("The system of undetermined coefficients, c[i], for \
candidate density "\[InvisibleSpace]2\[InvisibleSpace]" has \
"\[InvisibleSpace]0\[InvisibleSpace]" equations."\),
      SequenceForm[ 
      "The system of undetermined coefficients, c[i], for candidate density ",
         2, " has ", 0, " equations."],
      Editable->False]], "Print"],

Cell[BoxData[
    \({}\)], "Print"],

Cell[BoxData[
    \("Initial analysis of the system of undetermined coefficients shows that \
these c[i] must be zero:"\)], "Print"],

Cell[BoxData[
    \({c[1] \[Rule] 0, c[2] \[Rule] 0, c[3] \[Rule] 0, c[4] \[Rule] 0, 
      c[5] \[Rule] 0, c[6] \[Rule] 0}\)], "Print"],

Cell[BoxData[
    \("The system of c[i] is simplified by replacing all c[i] -> 0 with 0, \
factoring and removing common factors, and by removing duplicate equations. \
The updated system has 0 equations:"\)], "Print"],

Cell[BoxData[
    \({}\)], "Print"],

Cell[BoxData[
    \("All c[i] in the system have been found to be zero.  No density exists \
for this candidate."\)], "Print"],

Cell[BoxData[
    \("------------------------------------------"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("The system of undetermined coefficients, c[i], for \
candidate density "\[InvisibleSpace]3\[InvisibleSpace]" has \
"\[InvisibleSpace]0\[InvisibleSpace]" equations."\),
      SequenceForm[ 
      "The system of undetermined coefficients, c[i], for candidate density ",
         3, " has ", 0, " equations."],
      Editable->False]], "Print"],

Cell[BoxData[
    \({}\)], "Print"],

Cell[BoxData[
    \("Initial analysis of the system of undetermined coefficients shows that \
these c[i] must be zero:"\)], "Print"],

Cell[BoxData[
    \({c[1] \[Rule] 0}\)], "Print"],

Cell[BoxData[
    \("The system of c[i] is simplified by replacing all c[i] -> 0 with 0, \
factoring and removing common factors, and by removing duplicate equations. \
The updated system has 0 equations:"\)], "Print"],

Cell[BoxData[
    \({}\)], "Print"],

Cell[BoxData[
    \("All c[i] in the system have been found to be zero.  No density exists \
for this candidate."\)], "Print"],

Cell[BoxData[
    \("------------------------------------------"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("The system of undetermined coefficients, c[i], for \
candidate density "\[InvisibleSpace]4\[InvisibleSpace]" has \
"\[InvisibleSpace]0\[InvisibleSpace]" equations."\),
      SequenceForm[ 
      "The system of undetermined coefficients, c[i], for candidate density ",
         4, " has ", 0, " equations."],
      Editable->False]], "Print"],

Cell[BoxData[
    \({}\)], "Print"],

Cell[BoxData[
    \("Initial analysis of the system of undetermined coefficients shows that \
these c[i] must be zero:"\)], "Print"],

Cell[BoxData[
    \({c[1] \[Rule] 0, c[2] \[Rule] 0}\)], "Print"],

Cell[BoxData[
    \("The system of c[i] is simplified by replacing all c[i] -> 0 with 0, \
factoring and removing common factors, and by removing duplicate equations. \
The updated system has 0 equations:"\)], "Print"],

Cell[BoxData[
    \({}\)], "Print"],

Cell[BoxData[
    \("All c[i] in the system have been found to be zero.  No density exists \
for this candidate."\)], "Print"],

Cell[BoxData[
    \("------------------------------------------"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("The system of undetermined coefficients, c[i], for \
candidate density "\[InvisibleSpace]5\[InvisibleSpace]" has \
"\[InvisibleSpace]6\[InvisibleSpace]" equations."\),
      SequenceForm[ 
      "The system of undetermined coefficients, c[i], for candidate density ",
         5, " has ", 6, " equations."],
      Editable->False]], "Print"],

Cell[BoxData[
    \({\(-c[1]\) - 2\ c[2] \[Equal] 0, c[1] + 2\ c[2] \[Equal] 0, 
      c[1] - 2\ c[5] \[Equal] 0, \(-c[2]\) - c[5] \[Equal] 0, 
      1\/2\ \((\(-c[2]\) - c[5])\) \[Equal] 0, \(-c[1]\) + 2\ c[5] \[Equal] 
        0}\)], "Print"],

Cell[BoxData[
    \("Initial analysis of the system of undetermined coefficients shows that \
these c[i] must be zero:"\)], "Print"],

Cell[BoxData[
    \({c[3] \[Rule] 0, c[4] \[Rule] 0}\)], "Print"],

Cell[BoxData[
    \("The system of c[i] is simplified by replacing all c[i] -> 0 with 0, \
factoring and removing common factors, and by removing duplicate equations. \
The updated system has 3 equations:"\)], "Print"],

Cell[BoxData[
    \({c[1] + 2\ c[2] \[Equal] 0, c[1] - 2\ c[5] \[Equal] 0, 
      c[2] + c[5] \[Equal] 0}\)], "Print"],

Cell[BoxData[
    \("All parameters were eliminated from the system when constants in \
equations containing parameters were found to be zero.  It is assumed the \
conservation law(s) will hold for all nonzero parameter values."\)], "Print"],

Cell[BoxData[
    \("The solution of the system is:"\)], "Print"],

Cell[BoxData[
    \({c[1] \[Rule] 2\ c[5], c[2] \[Rule] \(-c[5]\), c[3] \[Rule] 0, 
      c[4] \[Rule] 0}\)], "Print"],

Cell[BoxData[
    \("The density formed from this candidate will be analyzed and compared \
to other results.  Its final form will be reported in the results at the \
conclusion of the program."\)], "Print"],

Cell[BoxData[
    \("There is a common (free) factor in the density."\)], "Print"],

Cell[BoxData[
    RowBox[{
      RowBox[{"2", " ", "omega", " ", \(c[5]\), " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_3\),
                Subscript[ 3],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 3]],
            Editable->False], ")"}]}], "-", 
      RowBox[{\(c[5]\), " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_3\),
                Subscript[ 3],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 3]],
            Editable->False], ")"}], " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_1\),
                Subscript[ 1],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_","\),
                Subscript[ ","],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[
                SubscriptBox["\[Null]", 
                  InterpretationBox["y",
                    SequenceForm[ y],
                    Editable->False]],
                Subscript[ 
                  SequenceForm[ y]],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 1], 
              Subscript[ ","], 
              Subscript[ 
                SequenceForm[ y]]],
            Editable->False], ")"}]}], "+", 
      RowBox[{\(c[5]\), " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_3\),
                Subscript[ 3],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 3]],
            Editable->False], ")"}], " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_2\),
                Subscript[ 2],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_","\),
                Subscript[ ","],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[
                SubscriptBox["\[Null]", 
                  InterpretationBox["x",
                    SequenceForm[ x],
                    Editable->False]],
                Subscript[ 
                  SequenceForm[ x]],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 2], 
              Subscript[ ","], 
              Subscript[ 
                SequenceForm[ x]]],
            Editable->False], ")"}]}]}]], "Print"],

Cell[BoxData[
    InterpretationBox[\("The common factor will be set to 1:  Setting "\
\[InvisibleSpace]\(c[5] \[Rule] 1\)\[InvisibleSpace]"."\),
      SequenceForm[ 
      "The common factor will be set to 1:  Setting ", c[ 5] -> 1, "."],
      Editable->False]], "Print"],

Cell[BoxData[
    \("------------------------------------------"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("The system of undetermined coefficients, c[i], for \
candidate density "\[InvisibleSpace]6\[InvisibleSpace]" has \
"\[InvisibleSpace]0\[InvisibleSpace]" equations."\),
      SequenceForm[ 
      "The system of undetermined coefficients, c[i], for candidate density ",
         6, " has ", 0, " equations."],
      Editable->False]], "Print"],

Cell[BoxData[
    \({}\)], "Print"],

Cell[BoxData[
    \("Initial analysis of the system of undetermined coefficients shows that \
these c[i] must be zero:"\)], "Print"],

Cell[BoxData[
    \({c[1] \[Rule] 0, c[2] \[Rule] 0, c[3] \[Rule] 0}\)], "Print"],

Cell[BoxData[
    \("The system of c[i] is simplified by replacing all c[i] -> 0 with 0, \
factoring and removing common factors, and by removing duplicate equations. \
The updated system has 0 equations:"\)], "Print"],

Cell[BoxData[
    \({}\)], "Print"],

Cell[BoxData[
    \("All parameters were eliminated from the system when constants in \
equations containing parameters were found to be zero.  It is assumed the \
conservation law(s) will hold for all nonzero parameter values."\)], "Print"],

Cell[BoxData[
    \("The solution of the system is:"\)], "Print"],

Cell[BoxData[
    \({c[1] \[Rule] 0, c[2] \[Rule] 0, c[3] \[Rule] 0}\)], "Print"],

Cell[BoxData[
    \("The density formed from this candidate will be analyzed and compared \
to other results.  Its final form will be reported in the results at the \
conclusion of the program."\)], "Print"],

Cell[BoxData[
    \("There is a common (free) factor in the density."\)], "Print"],

Cell[BoxData[
    RowBox[{\(c[4]\), " ", 
      SuperscriptBox[
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_3\),
                Subscript[ 3],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 3]],
            Editable->False], ")"}], "2"], " ", 
      RowBox[{"(", 
        InterpretationBox[
          RowBox[{"u", "\[InvisibleSpace]", 
            InterpretationBox[\(\[Null]\_4\),
              Subscript[ 4],
              Editable->False]}],
          SequenceForm[ u, 
            Subscript[ 4]],
          Editable->False], ")"}]}]], "Print"],

Cell[BoxData[
    InterpretationBox[\("The common factor will be set to 1:  Setting "\
\[InvisibleSpace]\(c[4] \[Rule] 1\)\[InvisibleSpace]"."\),
      SequenceForm[ 
      "The common factor will be set to 1:  Setting ", c[ 4] -> 1, "."],
      Editable->False]], "Print"],

Cell[BoxData[
    \("------------------------------------------"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("The system of undetermined coefficients, c[i], for \
candidate density "\[InvisibleSpace]7\[InvisibleSpace]" has \
"\[InvisibleSpace]0\[InvisibleSpace]" equations."\),
      SequenceForm[ 
      "The system of undetermined coefficients, c[i], for candidate density ",
         7, " has ", 0, " equations."],
      Editable->False]], "Print"],

Cell[BoxData[
    \({}\)], "Print"],

Cell[BoxData[
    \("Initial analysis of the system of undetermined coefficients shows that \
these c[i] must be zero:"\)], "Print"],

Cell[BoxData[
    \({c[1] \[Rule] 0}\)], "Print"],

Cell[BoxData[
    \("The system of c[i] is simplified by replacing all c[i] -> 0 with 0, \
factoring and removing common factors, and by removing duplicate equations. \
The updated system has 0 equations:"\)], "Print"],

Cell[BoxData[
    \({}\)], "Print"],

Cell[BoxData[
    \("All c[i] in the system have been found to be zero.  No density exists \
for this candidate."\)], "Print"],

Cell[BoxData[
    \("------------------------------------------"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("The system of undetermined coefficients, c[i], for \
candidate density "\[InvisibleSpace]8\[InvisibleSpace]" has \
"\[InvisibleSpace]0\[InvisibleSpace]" equations."\),
      SequenceForm[ 
      "The system of undetermined coefficients, c[i], for candidate density ",
         8, " has ", 0, " equations."],
      Editable->False]], "Print"],

Cell[BoxData[
    \({}\)], "Print"],

Cell[BoxData[
    \("Initial analysis of the system of undetermined coefficients shows that \
these c[i] must be zero:"\)], "Print"],

Cell[BoxData[
    \({c[2] \[Rule] 0, c[3] \[Rule] 0, c[4] \[Rule] 0, 
      c[5] \[Rule] 0}\)], "Print"],

Cell[BoxData[
    \("The system of c[i] is simplified by replacing all c[i] -> 0 with 0, \
factoring and removing common factors, and by removing duplicate equations. \
The updated system has 0 equations:"\)], "Print"],

Cell[BoxData[
    \({}\)], "Print"],

Cell[BoxData[
    \("All parameters were eliminated from the system when constants in \
equations containing parameters were found to be zero.  It is assumed the \
conservation law(s) will hold for all nonzero parameter values."\)], "Print"],

Cell[BoxData[
    \("The solution of the system is:"\)], "Print"],

Cell[BoxData[
    \({c[2] \[Rule] 0, c[3] \[Rule] 0, c[4] \[Rule] 0, 
      c[5] \[Rule] 0}\)], "Print"],

Cell[BoxData[
    \("The density formed from this candidate will be analyzed and compared \
to other results.  Its final form will be reported in the results at the \
conclusion of the program."\)], "Print"],

Cell[BoxData[
    \("There is a common (free) factor in the density."\)], "Print"],

Cell[BoxData[
    RowBox[{"omega", " ", \(c[1]\), " ", 
      RowBox[{"(", 
        InterpretationBox[
          RowBox[{"u", "\[InvisibleSpace]", 
            InterpretationBox[\(\[Null]\_4\),
              Subscript[ 4],
              Editable->False]}],
          SequenceForm[ u, 
            Subscript[ 4]],
          Editable->False], ")"}]}]], "Print"],

Cell[BoxData[
    InterpretationBox[\("The common factor will be set to 1:  Setting "\
\[InvisibleSpace]\(c[1] \[Rule] 1\)\[InvisibleSpace]"."\),
      SequenceForm[ 
      "The common factor will be set to 1:  Setting ", c[ 1] -> 1, "."],
      Editable->False]], "Print"],

Cell[BoxData[
    \("------------------------------------------"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("The system of undetermined coefficients, c[i], for \
candidate density "\[InvisibleSpace]9\[InvisibleSpace]" has \
"\[InvisibleSpace]9\[InvisibleSpace]" equations."\),
      SequenceForm[ 
      "The system of undetermined coefficients, c[i], for candidate density ",
         9, " has ", 9, " equations."],
      Editable->False]], "Print"],

Cell[BoxData[
    \({4\ \((c[1] - c[3])\) \[Equal] 0, 2\ \((c[1] - c[4])\) \[Equal] 0, 
      2\ \((c[3] - c[4])\) \[Equal] 0, c[1] - c[4] \[Equal] 0, 
      c[3] - c[4] \[Equal] 0, \(-c[1]\) + c[4] \[Equal] 
        0, \(-c[3]\) + c[4] \[Equal] 0, \(-2\)\ \((c[1] - c[4])\) \[Equal] 
        0, \(-2\)\ \((c[3] - c[4])\) \[Equal] 0}\)], "Print"],

Cell[BoxData[
    \("Initial analysis of the system of undetermined coefficients shows that \
these c[i] must be zero:"\)], "Print"],

Cell[BoxData[
    \({c[2] \[Rule] 0}\)], "Print"],

Cell[BoxData[
    \("The system of c[i] is simplified by replacing all c[i] -> 0 with 0, \
factoring and removing common factors, and by removing duplicate equations. \
The updated system has 3 equations:"\)], "Print"],

Cell[BoxData[
    \({c[1] - c[3] \[Equal] 0, c[1] - c[4] \[Equal] 0, 
      c[3] - c[4] \[Equal] 0}\)], "Print"],

Cell[BoxData[
    \("All parameters were eliminated from the system when constants in \
equations containing parameters were found to be zero.  It is assumed the \
conservation law(s) will hold for all nonzero parameter values."\)], "Print"],

Cell[BoxData[
    \("The solution of the system is:"\)], "Print"],

Cell[BoxData[
    \({c[1] \[Rule] c[4], c[2] \[Rule] 0, c[3] \[Rule] c[4]}\)], "Print"],

Cell[BoxData[
    \("The density formed from this candidate will be analyzed and compared \
to other results.  Its final form will be reported in the results at the \
conclusion of the program."\)], "Print"],

Cell[BoxData[
    \("There is a common (free) factor in the density."\)], "Print"],

Cell[BoxData[
    RowBox[{
      RowBox[{\(c[4]\), " ", 
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_1\),
                  Subscript[ 1],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 1]],
              Editable->False], ")"}], "2"], " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_4\),
                Subscript[ 4],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 4]],
            Editable->False], ")"}]}], "+", 
      RowBox[{\(c[4]\), " ", 
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_2\),
                  Subscript[ 2],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 2]],
              Editable->False], ")"}], "2"], " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_4\),
                Subscript[ 4],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 4]],
            Editable->False], ")"}]}], "+", 
      RowBox[{\(c[4]\), " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_3\),
                Subscript[ 3],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 3]],
            Editable->False], ")"}], " ", 
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_4\),
                  Subscript[ 4],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 4]],
              Editable->False], ")"}], "2"]}]}]], "Print"],

Cell[BoxData[
    InterpretationBox[\("The common factor will be set to 1:  Setting "\
\[InvisibleSpace]\(c[4] \[Rule] 1\)\[InvisibleSpace]"."\),
      SequenceForm[ 
      "The common factor will be set to 1:  Setting ", c[ 4] -> 1, "."],
      Editable->False]], "Print"],

Cell[BoxData[
    \("------------------------------------------"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("The system of undetermined coefficients, c[i], for \
candidate density "\[InvisibleSpace]10\[InvisibleSpace]" has "\
\[InvisibleSpace]0\[InvisibleSpace]" equations."\),
      SequenceForm[ 
      "The system of undetermined coefficients, c[i], for candidate density ",
         10, " has ", 0, " equations."],
      Editable->False]], "Print"],

Cell[BoxData[
    \({}\)], "Print"],

Cell[BoxData[
    \("Initial analysis of the system of undetermined coefficients shows that \
these c[i] must be zero:"\)], "Print"],

Cell[BoxData[
    \({c[1] \[Rule] 0, c[2] \[Rule] 0}\)], "Print"],

Cell[BoxData[
    \("The system of c[i] is simplified by replacing all c[i] -> 0 with 0, \
factoring and removing common factors, and by removing duplicate equations. \
The updated system has 0 equations:"\)], "Print"],

Cell[BoxData[
    \({}\)], "Print"],

Cell[BoxData[
    \("All c[i] in the system have been found to be zero.  No density exists \
for this candidate."\)], "Print"],

Cell[BoxData[
    \("*************************************************************\n\
*****************  RESULTS LISTED BY RANK  ******************\n\
*************************************************************"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("August "\[InvisibleSpace]5\[InvisibleSpace]", "\
\[InvisibleSpace]2009\[InvisibleSpace]", at "\[InvisibleSpace]1\
\[InvisibleSpace]":"\[InvisibleSpace]0\[InvisibleSpace]5\[InvisibleSpace]"."\)\
,
      SequenceForm[ "August ", 5, ", ", 2009, ", at ", 1, ":", 0, 5, "."],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Conservation Laws for: "\[InvisibleSpace]"Fluid \
dynamics: Shallow Water Equations"\),
      SequenceForm[ 
      "Conservation Laws for: ", "Fluid dynamics: Shallow Water Equations"],
      Editable->False]], "Print"],

Cell[BoxData[
    \("*************************************************************"\)], \
"Print"],

Cell[BoxData[
    InterpretationBox[\("A normalized density with the rank of "\
\[InvisibleSpace]3\[InvisibleSpace]" is"\),
      SequenceForm[ "A normalized density with the rank of ", 3, " is"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[
      RowBox[{"u", "\[InvisibleSpace]", 
        InterpretationBox[\(\[Null]\_4\),
          Subscript[ 4],
          Editable->False]}],
      SequenceForm[ u, 
        Subscript[ 4]],
      Editable->False]], "Print"],

Cell[BoxData[
    \("   with no constraints on the parameters."\)], "Print"],

Cell[BoxData[
    \("The corresponding flux is"\)], "Print"],

Cell[BoxData[
    RowBox[{"{", 
      RowBox[{
        RowBox[{
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_1\),
                  Subscript[ 1],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 1]],
              Editable->False], ")"}], " ", 
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_4\),
                  Subscript[ 4],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 4]],
              Editable->False], ")"}]}], ",", 
        RowBox[{
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_2\),
                  Subscript[ 2],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 2]],
              Editable->False], ")"}], " ", 
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_4\),
                  Subscript[ 4],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 4]],
              Editable->False], ")"}]}]}], "}"}]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Result of explicit verification:  "\[InvisibleSpace]\
\[Rho]\_"t"\[InvisibleSpace]" + "\[InvisibleSpace]Div\[InvisibleSpace]" J = "\
\[InvisibleSpace]0\),
      SequenceForm[ "Result of explicit verification:  ", 
        Subscript[ \[Rho], "t"], " + ", Div, " J = ", 0],
      Editable->False]], "Print"],

Cell[BoxData[
    \("*************************************************************"\)], \
"Print"],

Cell[BoxData[
    InterpretationBox[\("A normalized density with the rank of "\
\[InvisibleSpace]3\[InvisibleSpace]" is"\),
      SequenceForm[ "A normalized density with the rank of ", 3, " is"],
      Editable->False]], "Print"],

Cell[BoxData[
    RowBox[{
      SuperscriptBox[
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_3\),
                Subscript[ 3],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 3]],
            Editable->False], ")"}], "2"], " ", 
      RowBox[{"(", 
        InterpretationBox[
          RowBox[{"u", "\[InvisibleSpace]", 
            InterpretationBox[\(\[Null]\_4\),
              Subscript[ 4],
              Editable->False]}],
          SequenceForm[ u, 
            Subscript[ 4]],
          Editable->False], ")"}]}]], "Print"],

Cell[BoxData[
    \("   with no constraints on the parameters."\)], "Print"],

Cell[BoxData[
    \("The corresponding flux is"\)], "Print"],

Cell[BoxData[
    RowBox[{"{", 
      RowBox[{
        RowBox[{
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_1\),
                  Subscript[ 1],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 1]],
              Editable->False], ")"}], " ", 
          SuperscriptBox[
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_3\),
                    Subscript[ 3],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 3]],
                Editable->False], ")"}], "2"], " ", 
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_4\),
                  Subscript[ 4],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 4]],
              Editable->False], ")"}]}], ",", 
        RowBox[{
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_2\),
                  Subscript[ 2],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 2]],
              Editable->False], ")"}], " ", 
          SuperscriptBox[
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_3\),
                    Subscript[ 3],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 3]],
                Editable->False], ")"}], "2"], " ", 
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_4\),
                  Subscript[ 4],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 4]],
              Editable->False], ")"}]}]}], "}"}]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Result of explicit verification:  "\[InvisibleSpace]\
\[Rho]\_"t"\[InvisibleSpace]" + "\[InvisibleSpace]Div\[InvisibleSpace]" J = "\
\[InvisibleSpace]0\),
      SequenceForm[ "Result of explicit verification:  ", 
        Subscript[ \[Rho], "t"], " + ", Div, " J = ", 0],
      Editable->False]], "Print"],

Cell[BoxData[
    \("*************************************************************"\)], \
"Print"],

Cell[BoxData[
    InterpretationBox[\("A normalized density with the rank of "\
\[InvisibleSpace]3\[InvisibleSpace]" is"\),
      SequenceForm[ "A normalized density with the rank of ", 3, " is"],
      Editable->False]], "Print"],

Cell[BoxData[
    RowBox[{
      RowBox[{
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_1\),
                  Subscript[ 1],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 1]],
              Editable->False], ")"}], "2"], " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_4\),
                Subscript[ 4],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 4]],
            Editable->False], ")"}]}], "+", 
      RowBox[{
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_2\),
                  Subscript[ 2],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 2]],
              Editable->False], ")"}], "2"], " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_4\),
                Subscript[ 4],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 4]],
            Editable->False], ")"}]}], "+", 
      RowBox[{
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_3\),
                Subscript[ 3],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 3]],
            Editable->False], ")"}], " ", 
        SuperscriptBox[
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_4\),
                  Subscript[ 4],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 4]],
              Editable->False], ")"}], "2"]}]}]], "Print"],

Cell[BoxData[
    \("   with no constraints on the parameters."\)], "Print"],

Cell[BoxData[
    \("The corresponding flux is"\)], "Print"],

Cell[BoxData[
    RowBox[{"{", 
      RowBox[{
        RowBox[{
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                InterpretationBox[
                  RowBox[{"u", "\[InvisibleSpace]", 
                    InterpretationBox[\(\[Null]\_1\),
                      Subscript[ 1],
                      Editable->False]}],
                  SequenceForm[ u, 
                    Subscript[ 1]],
                  Editable->False], ")"}], "3"], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_4\),
                    Subscript[ 4],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 4]],
                Editable->False], ")"}]}], "+", 
          RowBox[{
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_1\),
                    Subscript[ 1],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 1]],
                Editable->False], ")"}], " ", 
            SuperscriptBox[
              RowBox[{"(", 
                InterpretationBox[
                  RowBox[{"u", "\[InvisibleSpace]", 
                    InterpretationBox[\(\[Null]\_2\),
                      Subscript[ 2],
                      Editable->False]}],
                  SequenceForm[ u, 
                    Subscript[ 2]],
                  Editable->False], ")"}], "2"], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_4\),
                    Subscript[ 4],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 4]],
                Editable->False], ")"}]}], "+", 
          RowBox[{"2", " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_1\),
                    Subscript[ 1],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 1]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_3\),
                    Subscript[ 3],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 3]],
                Editable->False], ")"}], " ", 
            SuperscriptBox[
              RowBox[{"(", 
                InterpretationBox[
                  RowBox[{"u", "\[InvisibleSpace]", 
                    InterpretationBox[\(\[Null]\_4\),
                      Subscript[ 4],
                      Editable->False]}],
                  SequenceForm[ u, 
                    Subscript[ 4]],
                  Editable->False], ")"}], "2"]}]}], ",", 
        RowBox[{
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                InterpretationBox[
                  RowBox[{"u", "\[InvisibleSpace]", 
                    InterpretationBox[\(\[Null]\_1\),
                      Subscript[ 1],
                      Editable->False]}],
                  SequenceForm[ u, 
                    Subscript[ 1]],
                  Editable->False], ")"}], "2"], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_2\),
                    Subscript[ 2],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 2]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_4\),
                    Subscript[ 4],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 4]],
                Editable->False], ")"}]}], "+", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                InterpretationBox[
                  RowBox[{"u", "\[InvisibleSpace]", 
                    InterpretationBox[\(\[Null]\_2\),
                      Subscript[ 2],
                      Editable->False]}],
                  SequenceForm[ u, 
                    Subscript[ 2]],
                  Editable->False], ")"}], "3"], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_4\),
                    Subscript[ 4],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 4]],
                Editable->False], ")"}]}], "+", 
          RowBox[{"2", " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_2\),
                    Subscript[ 2],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 2]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_3\),
                    Subscript[ 3],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 3]],
                Editable->False], ")"}], " ", 
            SuperscriptBox[
              RowBox[{"(", 
                InterpretationBox[
                  RowBox[{"u", "\[InvisibleSpace]", 
                    InterpretationBox[\(\[Null]\_4\),
                      Subscript[ 4],
                      Editable->False]}],
                  SequenceForm[ u, 
                    Subscript[ 4]],
                  Editable->False], ")"}], "2"]}]}]}], "}"}]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Result of explicit verification:  "\[InvisibleSpace]\
\[Rho]\_"t"\[InvisibleSpace]" + "\[InvisibleSpace]Div\[InvisibleSpace]" J = "\
\[InvisibleSpace]0\),
      SequenceForm[ "Result of explicit verification:  ", 
        Subscript[ \[Rho], "t"], " + ", Div, " J = ", 0],
      Editable->False]], "Print"],

Cell[BoxData[
    \("*************************************************************"\)], \
"Print"],

Cell[BoxData[
    InterpretationBox[\("A normalized density with the rank of "\
\[InvisibleSpace]3\[InvisibleSpace]" is"\),
      SequenceForm[ "A normalized density with the rank of ", 3, " is"],
      Editable->False]], "Print"],

Cell[BoxData[
    RowBox[{
      RowBox[{\(-2\), " ", "omega", " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_3\),
                Subscript[ 3],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 3]],
            Editable->False], ")"}]}], "+", 
      RowBox[{
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_3\),
                Subscript[ 3],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 3]],
            Editable->False], ")"}], " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_1\),
                Subscript[ 1],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_","\),
                Subscript[ ","],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[
                SubscriptBox["\[Null]", 
                  InterpretationBox["y",
                    SequenceForm[ y],
                    Editable->False]],
                Subscript[ 
                  SequenceForm[ y]],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 1], 
              Subscript[ ","], 
              Subscript[ 
                SequenceForm[ y]]],
            Editable->False], ")"}]}], "-", 
      RowBox[{
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_3\),
                Subscript[ 3],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 3]],
            Editable->False], ")"}], " ", 
        RowBox[{"(", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_2\),
                Subscript[ 2],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_","\),
                Subscript[ ","],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[
                SubscriptBox["\[Null]", 
                  InterpretationBox["x",
                    SequenceForm[ x],
                    Editable->False]],
                Subscript[ 
                  SequenceForm[ x]],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 2], 
              Subscript[ ","], 
              Subscript[ 
                SequenceForm[ x]]],
            Editable->False], ")"}]}]}]], "Print"],

Cell[BoxData[
    \("   with no constraints on the parameters."\)], "Print"],

Cell[BoxData[
    \("The corresponding flux is"\)], "Print"],

Cell[BoxData[
    RowBox[{"{", 
      RowBox[{
        RowBox[{
          RowBox[{\(-2\), " ", "omega", " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_1\),
                    Subscript[ 1],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 1]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_3\),
                    Subscript[ 3],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 3]],
                Editable->False], ")"}]}], "+", 
          RowBox[{
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_1\),
                    Subscript[ 1],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 1]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_3\),
                    Subscript[ 3],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 3]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_1\),
                    Subscript[ 1],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_","\),
                    Subscript[ ","],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubscriptBox["\[Null]", 
                      InterpretationBox["y",
                        SequenceForm[ y],
                        Editable->False]],
                    Subscript[ 
                      SequenceForm[ y]],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 1], 
                  Subscript[ ","], 
                  Subscript[ 
                    SequenceForm[ y]]],
                Editable->False], ")"}]}], "-", 
          RowBox[{
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_1\),
                    Subscript[ 1],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 1]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_3\),
                    Subscript[ 3],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 3]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_2\),
                    Subscript[ 2],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_","\),
                    Subscript[ ","],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubscriptBox["\[Null]", 
                      InterpretationBox["x",
                        SequenceForm[ x],
                        Editable->False]],
                    Subscript[ 
                      SequenceForm[ x]],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 2], 
                  Subscript[ ","], 
                  Subscript[ 
                    SequenceForm[ x]]],
                Editable->False], ")"}]}], "+", 
          RowBox[{\(1\/2\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_3\),
                    Subscript[ 3],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 3]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_4\),
                    Subscript[ 4],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 4]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_3\),
                    Subscript[ 3],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_","\),
                    Subscript[ ","],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubscriptBox["\[Null]", 
                      InterpretationBox["y",
                        SequenceForm[ y],
                        Editable->False]],
                    Subscript[ 
                      SequenceForm[ y]],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 3], 
                  Subscript[ ","], 
                  Subscript[ 
                    SequenceForm[ y]]],
                Editable->False], ")"}]}]}], ",", 
        RowBox[{
          RowBox[{\(-2\), " ", "omega", " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_2\),
                    Subscript[ 2],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 2]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_3\),
                    Subscript[ 3],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 3]],
                Editable->False], ")"}]}], "+", 
          RowBox[{
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_2\),
                    Subscript[ 2],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 2]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_3\),
                    Subscript[ 3],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 3]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_1\),
                    Subscript[ 1],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_","\),
                    Subscript[ ","],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubscriptBox["\[Null]", 
                      InterpretationBox["y",
                        SequenceForm[ y],
                        Editable->False]],
                    Subscript[ 
                      SequenceForm[ y]],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 1], 
                  Subscript[ ","], 
                  Subscript[ 
                    SequenceForm[ y]]],
                Editable->False], ")"}]}], "-", 
          RowBox[{
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_2\),
                    Subscript[ 2],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 2]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_3\),
                    Subscript[ 3],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 3]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_2\),
                    Subscript[ 2],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_","\),
                    Subscript[ ","],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubscriptBox["\[Null]", 
                      InterpretationBox["x",
                        SequenceForm[ x],
                        Editable->False]],
                    Subscript[ 
                      SequenceForm[ x]],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 2], 
                  Subscript[ ","], 
                  Subscript[ 
                    SequenceForm[ x]]],
                Editable->False], ")"}]}], "-", 
          RowBox[{\(1\/2\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_3\),
                    Subscript[ 3],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 3]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_4\),
                    Subscript[ 4],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 4]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_3\),
                    Subscript[ 3],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_","\),
                    Subscript[ ","],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubscriptBox["\[Null]", 
                      InterpretationBox["x",
                        SequenceForm[ x],
                        Editable->False]],
                    Subscript[ 
                      SequenceForm[ x]],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 3], 
                  Subscript[ ","], 
                  Subscript[ 
                    SequenceForm[ x]]],
                Editable->False], ")"}]}]}]}], "}"}]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Result of explicit verification:  "\[InvisibleSpace]\
\[Rho]\_"t"\[InvisibleSpace]" + "\[InvisibleSpace]Div\[InvisibleSpace]" J = "\
\[InvisibleSpace]0\),
      SequenceForm[ "Result of explicit verification:  ", 
        Subscript[ \[Rho], "t"], " + ", Div, " J = ", 0],
      Editable->False]], "Print"],

Cell[BoxData[
    \("*************************************************************"\)], \
"Print"],

Cell[BoxData[
    \("-------------------------------------------------------"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("BEGINNING THE ANALYSIS OF DENSITIES ON CONSERVATION \
LAWS FOR THE "\[InvisibleSpace]"Fluid dynamics: Shallow Water Equations"\),
      SequenceForm[ 
      "BEGINNING THE ANALYSIS OF DENSITIES ON CONSERVATION LAWS FOR THE ", 
        "Fluid dynamics: Shallow Water Equations"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[
      RowBox[{
        RowBox[{
          RowBox[{\(-2\), " ", "omega", " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_2\),
                    Subscript[ 2],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 2]],
                Editable->False], ")"}]}], "+", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_1\),
                Subscript[ 1],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_","\),
                Subscript[ ","],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[
                SubscriptBox["\[Null]", 
                  InterpretationBox["t",
                    SequenceForm[ t],
                    Editable->False]],
                Subscript[ 
                  SequenceForm[ t]],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 1], 
              Subscript[ ","], 
              Subscript[ 
                SequenceForm[ t]]],
            Editable->False], "+", 
          RowBox[{
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_1\),
                    Subscript[ 1],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 1]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_1\),
                    Subscript[ 1],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_","\),
                    Subscript[ ","],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubscriptBox["\[Null]", 
                      InterpretationBox["x",
                        SequenceForm[ x],
                        Editable->False]],
                    Subscript[ 
                      SequenceForm[ x]],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 1], 
                  Subscript[ ","], 
                  Subscript[ 
                    SequenceForm[ x]]],
                Editable->False], ")"}]}], "+", 
          RowBox[{
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_2\),
                    Subscript[ 2],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 2]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_1\),
                    Subscript[ 1],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_","\),
                    Subscript[ ","],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubscriptBox["\[Null]", 
                      InterpretationBox["y",
                        SequenceForm[ y],
                        Editable->False]],
                    Subscript[ 
                      SequenceForm[ y]],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 1], 
                  Subscript[ ","], 
                  Subscript[ 
                    SequenceForm[ y]]],
                Editable->False], ")"}]}], "+", 
          RowBox[{\(1\/2\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_4\),
                    Subscript[ 4],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 4]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_3\),
                    Subscript[ 3],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_","\),
                    Subscript[ ","],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubscriptBox["\[Null]", 
                      InterpretationBox["x",
                        SequenceForm[ x],
                        Editable->False]],
                    Subscript[ 
                      SequenceForm[ x]],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 3], 
                  Subscript[ ","], 
                  Subscript[ 
                    SequenceForm[ x]]],
                Editable->False], ")"}]}], "+", 
          RowBox[{
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_3\),
                    Subscript[ 3],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 3]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_4\),
                    Subscript[ 4],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_","\),
                    Subscript[ ","],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubscriptBox["\[Null]", 
                      InterpretationBox["x",
                        SequenceForm[ x],
                        Editable->False]],
                    Subscript[ 
                      SequenceForm[ x]],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 4], 
                  Subscript[ ","], 
                  Subscript[ 
                    SequenceForm[ x]]],
                Editable->False], ")"}]}]}], 
        "\[InvisibleSpace]", "\<\" == 0\"\>"}],
      SequenceForm[ 
        Plus[ 
          Times[ -2, omega, 
            SequenceForm[ u, 
              Subscript[ 2]]], 
          SequenceForm[ u, 
            Subscript[ 1], 
            Subscript[ ","], 
            Subscript[ 
              SequenceForm[ t]]], 
          Times[ 
            SequenceForm[ u, 
              Subscript[ 1]], 
            SequenceForm[ u, 
              Subscript[ 1], 
              Subscript[ ","], 
              Subscript[ 
                SequenceForm[ x]]]], 
          Times[ 
            SequenceForm[ u, 
              Subscript[ 2]], 
            SequenceForm[ u, 
              Subscript[ 1], 
              Subscript[ ","], 
              Subscript[ 
                SequenceForm[ y]]]], 
          Times[ 
            Rational[ 1, 2], 
            SequenceForm[ u, 
              Subscript[ 4]], 
            SequenceForm[ u, 
              Subscript[ 3], 
              Subscript[ ","], 
              Subscript[ 
                SequenceForm[ x]]]], 
          Times[ 
            SequenceForm[ u, 
              Subscript[ 3]], 
            SequenceForm[ u, 
              Subscript[ 4], 
              Subscript[ ","], 
              Subscript[ 
                SequenceForm[ x]]]]], " == 0"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[
      RowBox[{
        RowBox[{
          RowBox[{"2", " ", "omega", " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_1\),
                    Subscript[ 1],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 1]],
                Editable->False], ")"}]}], "+", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_2\),
                Subscript[ 2],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_","\),
                Subscript[ ","],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[
                SubscriptBox["\[Null]", 
                  InterpretationBox["t",
                    SequenceForm[ t],
                    Editable->False]],
                Subscript[ 
                  SequenceForm[ t]],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 2], 
              Subscript[ ","], 
              Subscript[ 
                SequenceForm[ t]]],
            Editable->False], "+", 
          RowBox[{
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_1\),
                    Subscript[ 1],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 1]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_2\),
                    Subscript[ 2],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_","\),
                    Subscript[ ","],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubscriptBox["\[Null]", 
                      InterpretationBox["x",
                        SequenceForm[ x],
                        Editable->False]],
                    Subscript[ 
                      SequenceForm[ x]],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 2], 
                  Subscript[ ","], 
                  Subscript[ 
                    SequenceForm[ x]]],
                Editable->False], ")"}]}], "+", 
          RowBox[{
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_2\),
                    Subscript[ 2],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 2]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_2\),
                    Subscript[ 2],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_","\),
                    Subscript[ ","],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubscriptBox["\[Null]", 
                      InterpretationBox["y",
                        SequenceForm[ y],
                        Editable->False]],
                    Subscript[ 
                      SequenceForm[ y]],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 2], 
                  Subscript[ ","], 
                  Subscript[ 
                    SequenceForm[ y]]],
                Editable->False], ")"}]}], "+", 
          RowBox[{\(1\/2\), " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_4\),
                    Subscript[ 4],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 4]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_3\),
                    Subscript[ 3],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_","\),
                    Subscript[ ","],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubscriptBox["\[Null]", 
                      InterpretationBox["y",
                        SequenceForm[ y],
                        Editable->False]],
                    Subscript[ 
                      SequenceForm[ y]],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 3], 
                  Subscript[ ","], 
                  Subscript[ 
                    SequenceForm[ y]]],
                Editable->False], ")"}]}], "+", 
          RowBox[{
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_3\),
                    Subscript[ 3],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 3]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_4\),
                    Subscript[ 4],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_","\),
                    Subscript[ ","],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubscriptBox["\[Null]", 
                      InterpretationBox["y",
                        SequenceForm[ y],
                        Editable->False]],
                    Subscript[ 
                      SequenceForm[ y]],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 4], 
                  Subscript[ ","], 
                  Subscript[ 
                    SequenceForm[ y]]],
                Editable->False], ")"}]}]}], 
        "\[InvisibleSpace]", "\<\" == 0\"\>"}],
      SequenceForm[ 
        Plus[ 
          Times[ 2, omega, 
            SequenceForm[ u, 
              Subscript[ 1]]], 
          SequenceForm[ u, 
            Subscript[ 2], 
            Subscript[ ","], 
            Subscript[ 
              SequenceForm[ t]]], 
          Times[ 
            SequenceForm[ u, 
              Subscript[ 1]], 
            SequenceForm[ u, 
              Subscript[ 2], 
              Subscript[ ","], 
              Subscript[ 
                SequenceForm[ x]]]], 
          Times[ 
            SequenceForm[ u, 
              Subscript[ 2]], 
            SequenceForm[ u, 
              Subscript[ 2], 
              Subscript[ ","], 
              Subscript[ 
                SequenceForm[ y]]]], 
          Times[ 
            Rational[ 1, 2], 
            SequenceForm[ u, 
              Subscript[ 4]], 
            SequenceForm[ u, 
              Subscript[ 3], 
              Subscript[ ","], 
              Subscript[ 
                SequenceForm[ y]]]], 
          Times[ 
            SequenceForm[ u, 
              Subscript[ 3]], 
            SequenceForm[ u, 
              Subscript[ 4], 
              Subscript[ ","], 
              Subscript[ 
                SequenceForm[ y]]]]], " == 0"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[
      RowBox[{
        RowBox[{
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_3\),
                Subscript[ 3],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_","\),
                Subscript[ ","],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[
                SubscriptBox["\[Null]", 
                  InterpretationBox["t",
                    SequenceForm[ t],
                    Editable->False]],
                Subscript[ 
                  SequenceForm[ t]],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 3], 
              Subscript[ ","], 
              Subscript[ 
                SequenceForm[ t]]],
            Editable->False], "+", 
          RowBox[{
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_1\),
                    Subscript[ 1],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 1]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_3\),
                    Subscript[ 3],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_","\),
                    Subscript[ ","],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubscriptBox["\[Null]", 
                      InterpretationBox["x",
                        SequenceForm[ x],
                        Editable->False]],
                    Subscript[ 
                      SequenceForm[ x]],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 3], 
                  Subscript[ ","], 
                  Subscript[ 
                    SequenceForm[ x]]],
                Editable->False], ")"}]}], "+", 
          RowBox[{
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_2\),
                    Subscript[ 2],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 2]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_3\),
                    Subscript[ 3],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_","\),
                    Subscript[ ","],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubscriptBox["\[Null]", 
                      InterpretationBox["y",
                        SequenceForm[ y],
                        Editable->False]],
                    Subscript[ 
                      SequenceForm[ y]],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 3], 
                  Subscript[ ","], 
                  Subscript[ 
                    SequenceForm[ y]]],
                Editable->False], ")"}]}]}], 
        "\[InvisibleSpace]", "\<\" == 0\"\>"}],
      SequenceForm[ 
        Plus[ 
          SequenceForm[ u, 
            Subscript[ 3], 
            Subscript[ ","], 
            Subscript[ 
              SequenceForm[ t]]], 
          Times[ 
            SequenceForm[ u, 
              Subscript[ 1]], 
            SequenceForm[ u, 
              Subscript[ 3], 
              Subscript[ ","], 
              Subscript[ 
                SequenceForm[ x]]]], 
          Times[ 
            SequenceForm[ u, 
              Subscript[ 2]], 
            SequenceForm[ u, 
              Subscript[ 3], 
              Subscript[ ","], 
              Subscript[ 
                SequenceForm[ y]]]]], " == 0"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[
      RowBox[{
        RowBox[{
          RowBox[{
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_4\),
                    Subscript[ 4],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 4]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_1\),
                    Subscript[ 1],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_","\),
                    Subscript[ ","],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubscriptBox["\[Null]", 
                      InterpretationBox["x",
                        SequenceForm[ x],
                        Editable->False]],
                    Subscript[ 
                      SequenceForm[ x]],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 1], 
                  Subscript[ ","], 
                  Subscript[ 
                    SequenceForm[ x]]],
                Editable->False], ")"}]}], "+", 
          RowBox[{
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_4\),
                    Subscript[ 4],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 4]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_2\),
                    Subscript[ 2],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_","\),
                    Subscript[ ","],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubscriptBox["\[Null]", 
                      InterpretationBox["y",
                        SequenceForm[ y],
                        Editable->False]],
                    Subscript[ 
                      SequenceForm[ y]],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 2], 
                  Subscript[ ","], 
                  Subscript[ 
                    SequenceForm[ y]]],
                Editable->False], ")"}]}], "+", 
          InterpretationBox[
            RowBox[{"u", "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_4\),
                Subscript[ 4],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[\(\[Null]\_","\),
                Subscript[ ","],
                Editable->False], "\[InvisibleSpace]", 
              InterpretationBox[
                SubscriptBox["\[Null]", 
                  InterpretationBox["t",
                    SequenceForm[ t],
                    Editable->False]],
                Subscript[ 
                  SequenceForm[ t]],
                Editable->False]}],
            SequenceForm[ u, 
              Subscript[ 4], 
              Subscript[ ","], 
              Subscript[ 
                SequenceForm[ t]]],
            Editable->False], "+", 
          RowBox[{
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_1\),
                    Subscript[ 1],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 1]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_4\),
                    Subscript[ 4],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_","\),
                    Subscript[ ","],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubscriptBox["\[Null]", 
                      InterpretationBox["x",
                        SequenceForm[ x],
                        Editable->False]],
                    Subscript[ 
                      SequenceForm[ x]],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 4], 
                  Subscript[ ","], 
                  Subscript[ 
                    SequenceForm[ x]]],
                Editable->False], ")"}]}], "+", 
          RowBox[{
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_2\),
                    Subscript[ 2],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 2]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_4\),
                    Subscript[ 4],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_","\),
                    Subscript[ ","],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubscriptBox["\[Null]", 
                      InterpretationBox["y",
                        SequenceForm[ y],
                        Editable->False]],
                    Subscript[ 
                      SequenceForm[ y]],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 4], 
                  Subscript[ ","], 
                  Subscript[ 
                    SequenceForm[ y]]],
                Editable->False], ")"}]}]}], 
        "\[InvisibleSpace]", "\<\" == 0\"\>"}],
      SequenceForm[ 
        Plus[ 
          Times[ 
            SequenceForm[ u, 
              Subscript[ 4]], 
            SequenceForm[ u, 
              Subscript[ 1], 
              Subscript[ ","], 
              Subscript[ 
                SequenceForm[ x]]]], 
          Times[ 
            SequenceForm[ u, 
              Subscript[ 4]], 
            SequenceForm[ u, 
              Subscript[ 2], 
              Subscript[ ","], 
              Subscript[ 
                SequenceForm[ y]]]], 
          SequenceForm[ u, 
            Subscript[ 4], 
            Subscript[ ","], 
            Subscript[ 
              SequenceForm[ t]]], 
          Times[ 
            SequenceForm[ u, 
              Subscript[ 1]], 
            SequenceForm[ u, 
              Subscript[ 4], 
              Subscript[ ","], 
              Subscript[ 
                SequenceForm[ x]]]], 
          Times[ 
            SequenceForm[ u, 
              Subscript[ 2]], 
            SequenceForm[ u, 
              Subscript[ 4], 
              Subscript[ ","], 
              Subscript[ 
                SequenceForm[ y]]]]], " == 0"],
      Editable->False]], "Print"],

Cell[BoxData[
    \("\n\nA conservation law is"\)], "Print"],

Cell[BoxData[
    InterpretationBox[
      RowBox[{"\<\"       \"\>", "\[InvisibleSpace]", 
        TagBox[
          StyleBox[\("D"\_"t"\),
            FontSlant->"Italic"],
          (StyleForm[ #, FontSlant -> Italic]&)], "\[InvisibleSpace]", 
        "\[Rho]", "\[InvisibleSpace]", "\<\" + \"\>", "\[InvisibleSpace]", 
        TagBox[
          StyleBox["\<\"Div\"\>",
            FontSlant->"Plain"],
          (StyleForm[ #, FontSlant -> Plain]&)], "\[InvisibleSpace]", 
        TagBox[
          StyleBox["\<\"J\"\>",
            FontWeight->"Bold"],
          (StyleForm[ #, FontWeight -> Bold]&)], 
        "\[InvisibleSpace]", "\<\" = 0,                  (1)\"\>"}],
      SequenceForm[ "       ", 
        StyleForm[ 
          Subscript[ "D", "t"], FontSlant -> Italic], \[Rho], " + ", 
        StyleForm[ "Div", FontSlant -> Plain], 
        StyleForm[ "J", FontWeight -> Bold], " = 0,                  (1)"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[
      RowBox[{"\<\"where \"\>", "\[InvisibleSpace]", "\[Rho]", 
        "\[InvisibleSpace]", "\<\" is the density and \"\>", 
        "\[InvisibleSpace]", 
        TagBox[
          StyleBox["\<\"J\"\>",
            FontWeight->"Bold"],
          (StyleForm[ #, FontWeight -> Bold]&)], 
        "\[InvisibleSpace]", "\<\" is the associated flux.\"\>"}],
      SequenceForm[ "where ", \[Rho], " is the density and ", 
        StyleForm[ "J", FontWeight -> Bold], " is the associated flux."],
      Editable->False]], "Print"],

Cell[BoxData[
    \("-------------------------------------------------------"\)], "Print"],

Cell[BoxData[
    \("The densities given to the program have been reorganized by the number \
of terms and the complexity of the terms.  Densities with the fewest number \
of terms and lowest order are tested first followed by densities of \
increasing complexity.  Densities without explicit independent variables will \
be checked first.  Densities with compatibility conditions will be checked \
last."\)], "Print"],

Cell[BoxData[
    \("-------------------------------------------------------"\)], "Print"],

Cell[BoxData[
    \("The density with the simplest form as determined by the program,"\)], \
"Print"],

Cell[BoxData[
    InterpretationBox[
      RowBox[{"\<\"    \"\>", "\[InvisibleSpace]", 
        InterpretationBox[
          RowBox[{"u", "\[InvisibleSpace]", 
            InterpretationBox[\(\[Null]\_4\),
              Subscript[ 4],
              Editable->False]}],
          SequenceForm[ u, 
            Subscript[ 4]],
          Editable->False]}],
      SequenceForm[ "    ", 
        SequenceForm[ u, 
          Subscript[ 4]]],
      Editable->False]], "Print"],

Cell[BoxData[
    \("  is automatically considered independent.  It is placed into the list \
of independent densities."\)], "Print"],

Cell[BoxData[
    \("-------------------------------------------------------"\)], "Print"],

Cell[BoxData[
    \("DENSITY NOW BEING EVALUATED:"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("  Density no. "\[InvisibleSpace]2\[InvisibleSpace]" \
from the original list of densities:"\),
      SequenceForm[ 
      "  Density no. ", 2, " from the original list of densities:"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[
      RowBox[{"\<\"    \"\>", "\[InvisibleSpace]", 
        RowBox[{
          SuperscriptBox[
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_3\),
                    Subscript[ 3],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 3]],
                Editable->False], ")"}], "2"], " ", 
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_4\),
                  Subscript[ 4],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 4]],
              Editable->False], ")"}]}]}],
      SequenceForm[ "    ", 
        Times[ 
          Power[ 
            SequenceForm[ u, 
              Subscript[ 3]], 2], 
          SequenceForm[ u, 
            Subscript[ 4]]]],
      Editable->False]], "Print"],

Cell[BoxData[
    \("The renormalized density, written as"\)], "Print"],

Cell[BoxData[
    InterpretationBox[
      RowBox[{"\<\"  \"\>", "\[InvisibleSpace]", 
        RowBox[{
          SuperscriptBox[
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_3\),
                    Subscript[ 3],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 3]],
                Editable->False], ")"}], "2"], " ", 
          RowBox[{"(", 
            InterpretationBox[
              RowBox[{"u", "\[InvisibleSpace]", 
                InterpretationBox[\(\[Null]\_4\),
                  Subscript[ 4],
                  Editable->False]}],
              SequenceForm[ u, 
                Subscript[ 4]],
              Editable->False], ")"}]}]}],
      SequenceForm[ "  ", 
        Times[ 
          Power[ 
            SequenceForm[ u, 
              Subscript[ 3]], 2], 
          SequenceForm[ u, 
            Subscript[ 4]]]],
      Editable->False]], "Print"],

Cell[BoxData[
    \("  has been found to be independent of all established independent \
densities.  It is added to the list of independent densities."\)], "Print"],

Cell[BoxData[
    \("-------------------------------------------------------"\)], "Print"],

Cell[BoxData[
    \("DENSITY NOW BEING EVALUATED:"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("  Density no. "\[InvisibleSpace]4\[InvisibleSpace]" \
from the original list of densities:"\),
      SequenceForm[ 
      "  Density no. ", 4, " from the original list of densities:"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[
      RowBox[{"\<\"    \"\>", "\[InvisibleSpace]", 
        RowBox[{
          RowBox[{\(-2\), " ", "omega", " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_3\),
                    Subscript[ 3],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 3]],
                Editable->False], ")"}]}], "+", 
          RowBox[{
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_3\),
                    Subscript[ 3],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 3]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_1\),
                    Subscript[ 1],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_","\),
                    Subscript[ ","],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubscriptBox["\[Null]", 
                      InterpretationBox["y",
                        SequenceForm[ y],
                        Editable->False]],
                    Subscript[ 
                      SequenceForm[ y]],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 1], 
                  Subscript[ ","], 
                  Subscript[ 
                    SequenceForm[ y]]],
                Editable->False], ")"}]}], "-", 
          RowBox[{
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_3\),
                    Subscript[ 3],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 3]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_2\),
                    Subscript[ 2],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_","\),
                    Subscript[ ","],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubscriptBox["\[Null]", 
                      InterpretationBox["x",
                        SequenceForm[ x],
                        Editable->False]],
                    Subscript[ 
                      SequenceForm[ x]],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 2], 
                  Subscript[ ","], 
                  Subscript[ 
                    SequenceForm[ x]]],
                Editable->False], ")"}]}]}]}],
      SequenceForm[ "    ", 
        Plus[ 
          Times[ -2, omega, 
            SequenceForm[ u, 
              Subscript[ 3]]], 
          Times[ 
            SequenceForm[ u, 
              Subscript[ 3]], 
            SequenceForm[ u, 
              Subscript[ 1], 
              Subscript[ ","], 
              Subscript[ 
                SequenceForm[ y]]]], 
          Times[ -1, 
            SequenceForm[ u, 
              Subscript[ 3]], 
            SequenceForm[ u, 
              Subscript[ 2], 
              Subscript[ ","], 
              Subscript[ 
                SequenceForm[ x]]]]]],
      Editable->False]], "Print"],

Cell[BoxData[
    \("The renormalized density, written as"\)], "Print"],

Cell[BoxData[
    InterpretationBox[
      RowBox[{"\<\"  \"\>", "\[InvisibleSpace]", 
        RowBox[{
          RowBox[{\(-2\), " ", "omega", " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_3\),
                    Subscript[ 3],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 3]],
                Editable->False], ")"}]}], "+", 
          RowBox[{
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_3\),
                    Subscript[ 3],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 3]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_1\),
                    Subscript[ 1],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_","\),
                    Subscript[ ","],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubscriptBox["\[Null]", 
                      InterpretationBox["y",
                        SequenceForm[ y],
                        Editable->False]],
                    Subscript[ 
                      SequenceForm[ y]],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 1], 
                  Subscript[ ","], 
                  Subscript[ 
                    SequenceForm[ y]]],
                Editable->False], ")"}]}], "-", 
          RowBox[{
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_3\),
                    Subscript[ 3],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 3]],
                Editable->False], ")"}], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_2\),
                    Subscript[ 2],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_","\),
                    Subscript[ ","],
                    Editable->False], "\[InvisibleSpace]", 
                  InterpretationBox[
                    SubscriptBox["\[Null]", 
                      InterpretationBox["x",
                        SequenceForm[ x],
                        Editable->False]],
                    Subscript[ 
                      SequenceForm[ x]],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 2], 
                  Subscript[ ","], 
                  Subscript[ 
                    SequenceForm[ x]]],
                Editable->False], ")"}]}]}]}],
      SequenceForm[ "  ", 
        Plus[ 
          Times[ -2, omega, 
            SequenceForm[ u, 
              Subscript[ 3]]], 
          Times[ 
            SequenceForm[ u, 
              Subscript[ 3]], 
            SequenceForm[ u, 
              Subscript[ 1], 
              Subscript[ ","], 
              Subscript[ 
                SequenceForm[ y]]]], 
          Times[ -1, 
            SequenceForm[ u, 
              Subscript[ 3]], 
            SequenceForm[ u, 
              Subscript[ 2], 
              Subscript[ ","], 
              Subscript[ 
                SequenceForm[ x]]]]]],
      Editable->False]], "Print"],

Cell[BoxData[
    \("  has been found to be independent of all established independent \
densities.  It is added to the list of independent densities."\)], "Print"],

Cell[BoxData[
    \("-------------------------------------------------------"\)], "Print"],

Cell[BoxData[
    \("DENSITY NOW BEING EVALUATED:"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("  Density no. "\[InvisibleSpace]3\[InvisibleSpace]" \
from the original list of densities:"\),
      SequenceForm[ 
      "  Density no. ", 3, " from the original list of densities:"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[
      RowBox[{"\<\"    \"\>", "\[InvisibleSpace]", 
        RowBox[{
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                InterpretationBox[
                  RowBox[{"u", "\[InvisibleSpace]", 
                    InterpretationBox[\(\[Null]\_1\),
                      Subscript[ 1],
                      Editable->False]}],
                  SequenceForm[ u, 
                    Subscript[ 1]],
                  Editable->False], ")"}], "2"], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_4\),
                    Subscript[ 4],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 4]],
                Editable->False], ")"}]}], "+", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                InterpretationBox[
                  RowBox[{"u", "\[InvisibleSpace]", 
                    InterpretationBox[\(\[Null]\_2\),
                      Subscript[ 2],
                      Editable->False]}],
                  SequenceForm[ u, 
                    Subscript[ 2]],
                  Editable->False], ")"}], "2"], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_4\),
                    Subscript[ 4],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 4]],
                Editable->False], ")"}]}], "+", 
          RowBox[{
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_3\),
                    Subscript[ 3],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 3]],
                Editable->False], ")"}], " ", 
            SuperscriptBox[
              RowBox[{"(", 
                InterpretationBox[
                  RowBox[{"u", "\[InvisibleSpace]", 
                    InterpretationBox[\(\[Null]\_4\),
                      Subscript[ 4],
                      Editable->False]}],
                  SequenceForm[ u, 
                    Subscript[ 4]],
                  Editable->False], ")"}], "2"]}]}]}],
      SequenceForm[ "    ", 
        Plus[ 
          Times[ 
            Power[ 
              SequenceForm[ u, 
                Subscript[ 1]], 2], 
            SequenceForm[ u, 
              Subscript[ 4]]], 
          Times[ 
            Power[ 
              SequenceForm[ u, 
                Subscript[ 2]], 2], 
            SequenceForm[ u, 
              Subscript[ 4]]], 
          Times[ 
            SequenceForm[ u, 
              Subscript[ 3]], 
            Power[ 
              SequenceForm[ u, 
                Subscript[ 4]], 2]]]],
      Editable->False]], "Print"],

Cell[BoxData[
    \("The renormalized density, written as"\)], "Print"],

Cell[BoxData[
    InterpretationBox[
      RowBox[{"\<\"  \"\>", "\[InvisibleSpace]", 
        RowBox[{
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                InterpretationBox[
                  RowBox[{"u", "\[InvisibleSpace]", 
                    InterpretationBox[\(\[Null]\_1\),
                      Subscript[ 1],
                      Editable->False]}],
                  SequenceForm[ u, 
                    Subscript[ 1]],
                  Editable->False], ")"}], "2"], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_4\),
                    Subscript[ 4],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 4]],
                Editable->False], ")"}]}], "+", 
          RowBox[{
            SuperscriptBox[
              RowBox[{"(", 
                InterpretationBox[
                  RowBox[{"u", "\[InvisibleSpace]", 
                    InterpretationBox[\(\[Null]\_2\),
                      Subscript[ 2],
                      Editable->False]}],
                  SequenceForm[ u, 
                    Subscript[ 2]],
                  Editable->False], ")"}], "2"], " ", 
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_4\),
                    Subscript[ 4],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 4]],
                Editable->False], ")"}]}], "+", 
          RowBox[{
            RowBox[{"(", 
              InterpretationBox[
                RowBox[{"u", "\[InvisibleSpace]", 
                  InterpretationBox[\(\[Null]\_3\),
                    Subscript[ 3],
                    Editable->False]}],
                SequenceForm[ u, 
                  Subscript[ 3]],
                Editable->False], ")"}], " ", 
            SuperscriptBox[
              RowBox[{"(", 
                InterpretationBox[
                  RowBox[{"u", "\[InvisibleSpace]", 
                    InterpretationBox[\(\[Null]\_4\),
                      Subscript[ 4],
                      Editable->False]}],
                  SequenceForm[ u, 
                    Subscript[ 4]],
                  Editable->False], ")"}], "2"]}]}]}],
      SequenceForm[ "  ", 
        Plus[ 
          Times[ 
            Power[ 
              SequenceForm[ u, 
                Subscript[ 1]], 2], 
            SequenceForm[ u, 
              Subscript[ 4]]], 
          Times[ 
            Power[ 
              SequenceForm[ u, 
                Subscript[ 2]], 2], 
            SequenceForm[ u, 
              Subscript[ 4]]], 
          Times[ 
            SequenceForm[ u, 
              Subscript[ 3]], 
            Power[ 
              SequenceForm[ u, 
                Subscript[ 4]], 2]]]],
      Editable->False]], "Print"],

Cell[BoxData[
    \("  has been found to be independent of all established independent \
densities.  It is added to the list of independent densities."\)], "Print"],

Cell[BoxData[
    \("-------------------------------------------------------"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("The CPU time to run this case: \
"\[InvisibleSpace]12.969`\[InvisibleSpace]" seconds. "\),
      SequenceForm[ 
      "The CPU time to run this case: ", 12.968999999999999, " seconds. "],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("The actual time to run this case: \
"\[InvisibleSpace]79.3841488`9.351278785898593\[InvisibleSpace]" seconds."\),
      SequenceForm[ 
      "The actual time to run this case: ", 79.3841488`9.351278785898593, 
        " seconds."],
      Editable->False]], "Print"]
}, Open  ]],

Cell[TextData[{
  "The comands ",
  StyleBox["conservationlaws", "Input"],
  " and ",
  StyleBox["independentconservationlaws", "Input"],
  " give the user access to computations in ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " syntax."
}], "Text"],

Cell[TextData[{
  StyleBox["conservationlaws",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  " gives a complete listing in ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " notation of densities and their associated fluxes as determined by the \
program."
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(conservationlaws\)], "Input"],

Cell[BoxData[
    \("------------------------------------------"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Density No. 1 with rank "\[InvisibleSpace]3\
\[InvisibleSpace]":"\),
      SequenceForm[ "Density No. 1 with rank ", 3, ":"],
      Editable->False]], "Print"],

Cell[BoxData[
    \(\(u[4]\)[x, y, t]\)], "Print"],

Cell[BoxData[
    \("The corresponding flux:"\)], "Print"],

Cell[BoxData[
    \({\(u[1]\)[x, y, t]\ \(u[4]\)[x, y, t], \(u[2]\)[x, y, t]\ \(u[4]\)[x, 
          y, t]}\)], "Print"],

Cell[BoxData[
    \("------------------------------------------"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Density No. 2 with rank "\[InvisibleSpace]3\
\[InvisibleSpace]":"\),
      SequenceForm[ "Density No. 2 with rank ", 3, ":"],
      Editable->False]], "Print"],

Cell[BoxData[
    \(\(u[3]\)[x, y, t]\^2\ \(u[4]\)[x, y, t]\)], "Print"],

Cell[BoxData[
    \("The corresponding flux:"\)], "Print"],

Cell[BoxData[
    \({\(u[1]\)[x, y, t]\ \(u[3]\)[x, y, t]\^2\ \(u[4]\)[x, y, t], \(u[2]\)[
          x, y, t]\ \(u[3]\)[x, y, t]\^2\ \(u[4]\)[x, y, t]}\)], "Print"],

Cell[BoxData[
    \("------------------------------------------"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Density No. 3 with rank "\[InvisibleSpace]3\
\[InvisibleSpace]":"\),
      SequenceForm[ "Density No. 3 with rank ", 3, ":"],
      Editable->False]], "Print"],

Cell[BoxData[
    \(\(u[1]\)[x, y, t]\^2\ \(u[4]\)[x, y, 
          t] + \(u[2]\)[x, y, t]\^2\ \(u[4]\)[x, y, t] + \(u[3]\)[x, y, 
          t]\ \(u[4]\)[x, y, t]\^2\)], "Print"],

Cell[BoxData[
    \("The corresponding flux:"\)], "Print"],

Cell[BoxData[
    \({\(u[1]\)[x, y, t]\^3\ \(u[4]\)[x, y, t] + \(u[1]\)[x, y, 
            t]\ \(u[2]\)[x, y, t]\^2\ \(u[4]\)[x, y, t] + 
        2\ \(u[1]\)[x, y, t]\ \(u[3]\)[x, y, 
            t]\ \(u[4]\)[x, y, t]\^2, \(u[1]\)[x, y, t]\^2\ \(u[2]\)[x, y, 
            t]\ \(u[4]\)[x, y, t] + \(u[2]\)[x, y, t]\^3\ \(u[4]\)[x, y, t] + 
        2\ \(u[2]\)[x, y, t]\ \(u[3]\)[x, y, 
            t]\ \(u[4]\)[x, y, t]\^2}\)], "Print"],

Cell[BoxData[
    \("------------------------------------------"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Density No. 4 with rank "\[InvisibleSpace]3\
\[InvisibleSpace]":"\),
      SequenceForm[ "Density No. 4 with rank ", 3, ":"],
      Editable->False]], "Print"],

Cell[BoxData[
    RowBox[{\(\(-2\)\ omega\ \(u[3]\)[x, y, t]\), "+", 
      RowBox[{\(\(u[3]\)[x, y, t]\), " ", 
        RowBox[{
          SuperscriptBox[\(u[1]\), 
            TagBox[\((0, 1, 0)\),
              Derivative],
            MultilineFunction->None], "[", \(x, y, t\), "]"}]}], "-", 
      RowBox[{\(\(u[3]\)[x, y, t]\), " ", 
        RowBox[{
          SuperscriptBox[\(u[2]\), 
            TagBox[\((1, 0, 0)\),
              Derivative],
            MultilineFunction->None], "[", \(x, y, t\), "]"}]}]}]], "Print"],

Cell[BoxData[
    \("The corresponding flux:"\)], "Print"],

Cell[BoxData[
    RowBox[{"{", 
      RowBox[{
        RowBox[{\(\(-2\)\ omega\ \(u[1]\)[x, y, t]\ \(u[3]\)[x, y, t]\), "+", 
          
          RowBox[{\(\(u[1]\)[x, y, t]\), " ", \(\(u[3]\)[x, y, t]\), " ", 
            RowBox[{
              SuperscriptBox[\(u[1]\), 
                TagBox[\((0, 1, 0)\),
                  Derivative],
                MultilineFunction->None], "[", \(x, y, t\), "]"}]}], "+", 
          
          RowBox[{\(1\/2\), " ", \(\(u[3]\)[x, y, t]\), 
            " ", \(\(u[4]\)[x, y, t]\), " ", 
            RowBox[{
              SuperscriptBox[\(u[3]\), 
                TagBox[\((0, 1, 0)\),
                  Derivative],
                MultilineFunction->None], "[", \(x, y, t\), "]"}]}], "-", 
          RowBox[{\(\(u[1]\)[x, y, t]\), " ", \(\(u[3]\)[x, y, t]\), " ", 
            RowBox[{
              SuperscriptBox[\(u[2]\), 
                TagBox[\((1, 0, 0)\),
                  Derivative],
                MultilineFunction->None], "[", \(x, y, t\), "]"}]}]}], ",", 
        RowBox[{\(\(-2\)\ omega\ \(u[2]\)[x, y, t]\ \(u[3]\)[x, y, t]\), "+", 
          
          RowBox[{\(\(u[2]\)[x, y, t]\), " ", \(\(u[3]\)[x, y, t]\), " ", 
            RowBox[{
              SuperscriptBox[\(u[1]\), 
                TagBox[\((0, 1, 0)\),
                  Derivative],
                MultilineFunction->None], "[", \(x, y, t\), "]"}]}], "-", 
          RowBox[{\(\(u[2]\)[x, y, t]\), " ", \(\(u[3]\)[x, y, t]\), " ", 
            RowBox[{
              SuperscriptBox[\(u[2]\), 
                TagBox[\((1, 0, 0)\),
                  Derivative],
                MultilineFunction->None], "[", \(x, y, t\), "]"}]}], "-", 
          
          RowBox[{\(1\/2\), " ", \(\(u[3]\)[x, y, t]\), 
            " ", \(\(u[4]\)[x, y, t]\), " ", 
            RowBox[{
              SuperscriptBox[\(u[3]\), 
                TagBox[\((1, 0, 0)\),
                  Derivative],
                MultilineFunction->None], "[", \(x, y, t\), "]"}]}]}]}], 
      "}"}]], "Print"]
}, Open  ]],

Cell[TextData[{
  StyleBox["independentconservationlaws",
    FontFamily->"Courier",
    FontWeight->"Bold"],
  " gives a listing in ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " notation of densities and their associated fluxes where all densities are \
independent."
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    StyleBox["independentconservationlaws",
      FontFamily->"Courier",
      FontWeight->"Bold"]], "Input"],

Cell[BoxData[
    \("------------------------------------------"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Independent Density No. 1 with rank "\
\[InvisibleSpace]3\[InvisibleSpace]":"\),
      SequenceForm[ "Independent Density No. 1 with rank ", 3, ":"],
      Editable->False]], "Print"],

Cell[BoxData[
    \(\(u[4]\)[x, y, t]\)], "Print"],

Cell[BoxData[
    \("The corresponding flux:"\)], "Print"],

Cell[BoxData[
    \({\(u[1]\)[x, y, t]\ \(u[4]\)[x, y, t], \(u[2]\)[x, y, t]\ \(u[4]\)[x, 
          y, t]}\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Recheck of explicit verification ("\[InvisibleSpace]\
\[Rho]\_"t"\[InvisibleSpace]" + Div J): "\[InvisibleSpace]0\),
      SequenceForm[ "Recheck of explicit verification (", 
        Subscript[ \[Rho], "t"], " + Div J): ", 0],
      Editable->False]], "Print"],

Cell[BoxData[
    \("------------------------------------------"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Independent Density No. 2 with rank "\
\[InvisibleSpace]3\[InvisibleSpace]":"\),
      SequenceForm[ "Independent Density No. 2 with rank ", 3, ":"],
      Editable->False]], "Print"],

Cell[BoxData[
    \(\(u[3]\)[x, y, t]\^2\ \(u[4]\)[x, y, t]\)], "Print"],

Cell[BoxData[
    \("The corresponding flux:"\)], "Print"],

Cell[BoxData[
    \({\(u[1]\)[x, y, t]\ \(u[3]\)[x, y, t]\^2\ \(u[4]\)[x, y, t], \(u[2]\)[
          x, y, t]\ \(u[3]\)[x, y, t]\^2\ \(u[4]\)[x, y, t]}\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Recheck of explicit verification ("\[InvisibleSpace]\
\[Rho]\_"t"\[InvisibleSpace]" + Div J): "\[InvisibleSpace]0\),
      SequenceForm[ "Recheck of explicit verification (", 
        Subscript[ \[Rho], "t"], " + Div J): ", 0],
      Editable->False]], "Print"],

Cell[BoxData[
    \("------------------------------------------"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Independent Density No. 3 with rank "\
\[InvisibleSpace]3\[InvisibleSpace]":"\),
      SequenceForm[ "Independent Density No. 3 with rank ", 3, ":"],
      Editable->False]], "Print"],

Cell[BoxData[
    RowBox[{\(\(-2\)\ omega\ \(u[3]\)[x, y, t]\), "+", 
      RowBox[{\(\(u[3]\)[x, y, t]\), " ", 
        RowBox[{
          SuperscriptBox[\(u[1]\), 
            TagBox[\((0, 1, 0)\),
              Derivative],
            MultilineFunction->None], "[", \(x, y, t\), "]"}]}], "-", 
      RowBox[{\(\(u[3]\)[x, y, t]\), " ", 
        RowBox[{
          SuperscriptBox[\(u[2]\), 
            TagBox[\((1, 0, 0)\),
              Derivative],
            MultilineFunction->None], "[", \(x, y, t\), "]"}]}]}]], "Print"],

Cell[BoxData[
    \("The corresponding flux:"\)], "Print"],

Cell[BoxData[
    RowBox[{"{", 
      RowBox[{
        RowBox[{\(\(-2\)\ omega\ \(u[1]\)[x, y, t]\ \(u[3]\)[x, y, t]\), "+", 
          
          RowBox[{\(\(u[1]\)[x, y, t]\), " ", \(\(u[3]\)[x, y, t]\), " ", 
            RowBox[{
              SuperscriptBox[\(u[1]\), 
                TagBox[\((0, 1, 0)\),
                  Derivative],
                MultilineFunction->None], "[", \(x, y, t\), "]"}]}], "+", 
          
          RowBox[{\(1\/2\), " ", \(\(u[3]\)[x, y, t]\), 
            " ", \(\(u[4]\)[x, y, t]\), " ", 
            RowBox[{
              SuperscriptBox[\(u[3]\), 
                TagBox[\((0, 1, 0)\),
                  Derivative],
                MultilineFunction->None], "[", \(x, y, t\), "]"}]}], "-", 
          RowBox[{\(\(u[1]\)[x, y, t]\), " ", \(\(u[3]\)[x, y, t]\), " ", 
            RowBox[{
              SuperscriptBox[\(u[2]\), 
                TagBox[\((1, 0, 0)\),
                  Derivative],
                MultilineFunction->None], "[", \(x, y, t\), "]"}]}]}], ",", 
        RowBox[{\(\(-2\)\ omega\ \(u[2]\)[x, y, t]\ \(u[3]\)[x, y, t]\), "+", 
          
          RowBox[{\(\(u[2]\)[x, y, t]\), " ", \(\(u[3]\)[x, y, t]\), " ", 
            RowBox[{
              SuperscriptBox[\(u[1]\), 
                TagBox[\((0, 1, 0)\),
                  Derivative],
                MultilineFunction->None], "[", \(x, y, t\), "]"}]}], "-", 
          RowBox[{\(\(u[2]\)[x, y, t]\), " ", \(\(u[3]\)[x, y, t]\), " ", 
            RowBox[{
              SuperscriptBox[\(u[2]\), 
                TagBox[\((1, 0, 0)\),
                  Derivative],
                MultilineFunction->None], "[", \(x, y, t\), "]"}]}], "-", 
          
          RowBox[{\(1\/2\), " ", \(\(u[3]\)[x, y, t]\), 
            " ", \(\(u[4]\)[x, y, t]\), " ", 
            RowBox[{
              SuperscriptBox[\(u[3]\), 
                TagBox[\((1, 0, 0)\),
                  Derivative],
                MultilineFunction->None], "[", \(x, y, t\), "]"}]}]}]}], 
      "}"}]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Recheck of explicit verification ("\[InvisibleSpace]\
\[Rho]\_"t"\[InvisibleSpace]" + Div J): "\[InvisibleSpace]0\),
      SequenceForm[ "Recheck of explicit verification (", 
        Subscript[ \[Rho], "t"], " + Div J): ", 0],
      Editable->False]], "Print"],

Cell[BoxData[
    \("------------------------------------------"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Independent Density No. 4 with rank "\
\[InvisibleSpace]3\[InvisibleSpace]":"\),
      SequenceForm[ "Independent Density No. 4 with rank ", 3, ":"],
      Editable->False]], "Print"],

Cell[BoxData[
    \(\(u[1]\)[x, y, t]\^2\ \(u[4]\)[x, y, 
          t] + \(u[2]\)[x, y, t]\^2\ \(u[4]\)[x, y, t] + \(u[3]\)[x, y, 
          t]\ \(u[4]\)[x, y, t]\^2\)], "Print"],

Cell[BoxData[
    \("The corresponding flux:"\)], "Print"],

Cell[BoxData[
    \({\(u[1]\)[x, y, t]\^3\ \(u[4]\)[x, y, t] + \(u[1]\)[x, y, 
            t]\ \(u[2]\)[x, y, t]\^2\ \(u[4]\)[x, y, t] + 
        2\ \(u[1]\)[x, y, t]\ \(u[3]\)[x, y, 
            t]\ \(u[4]\)[x, y, t]\^2, \(u[1]\)[x, y, t]\^2\ \(u[2]\)[x, y, 
            t]\ \(u[4]\)[x, y, t] + \(u[2]\)[x, y, t]\^3\ \(u[4]\)[x, y, t] + 
        2\ \(u[2]\)[x, y, t]\ \(u[3]\)[x, y, 
            t]\ \(u[4]\)[x, y, t]\^2}\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Recheck of explicit verification ("\[InvisibleSpace]\
\[Rho]\_"t"\[InvisibleSpace]" + Div J): "\[InvisibleSpace]0\),
      SequenceForm[ "Recheck of explicit verification (", 
        Subscript[ \[Rho], "t"], " + Div J): ", 0],
      Editable->False]], "Print"]
}, Open  ]]
}, Open  ]]
},
FrontEndVersion->"5.0 for Microsoft Windows",
ScreenRectangle->{{0, 1280}, {0, 941}},
WindowSize->{1272, 907},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
Magnification->1.5
]

(*******************************************************************
Cached data follows.  If you edit this Notebook file directly, not
using Mathematica, you must remove the line containing CacheID at
the top of  the file.  The cache data will then be recreated when
you save this file from within Mathematica.
*******************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{

Cell[CellGroupData[{
Cell[1776, 53, 147, 2, 67, "Subtitle"],
Cell[1926, 57, 183, 5, 47, "Text"],
Cell[2112, 64, 231, 4, 73, "Text"],

Cell[CellGroupData[{
Cell[2368, 72, 79, 1, 42, "Input"],
Cell[2450, 75, 62, 1, 41, "Output"]
}, Open  ]],
Cell[2527, 79, 132, 3, 42, "Input"],
Cell[2662, 84, 56, 0, 47, "Text"],

Cell[CellGroupData[{
Cell[2743, 88, 64, 1, 42, "Input"],
Cell[2810, 91, 100, 2, 35, "Print"]
}, Open  ]],
Cell[2925, 96, 235, 4, 73, "Text"],
Cell[3163, 102, 214, 6, 48, "Text"],
Cell[3380, 110, 103, 3, 47, "Text"],
Cell[3486, 115, 45, 1, 42, "Input"],
Cell[3534, 118, 260, 5, 73, "Text"],

Cell[CellGroupData[{
Cell[3819, 127, 72, 1, 42, "Input"],
Cell[3894, 130, 36, 1, 35, "Print"],
Cell[3933, 133, 60, 1, 35, "Print"],
Cell[3996, 136, 78, 1, 35, "Print"],
Cell[4077, 139, 66, 1, 35, "Print"],
Cell[4146, 142, 76, 1, 35, "Print"],
Cell[4225, 145, 76, 1, 35, "Print"],
Cell[4304, 148, 58, 1, 35, "Print"],
Cell[4365, 151, 78, 1, 35, "Print"],
Cell[4446, 154, 36, 1, 35, "Print"],
Cell[4485, 157, 216, 4, 35, "Print"],
Cell[4704, 163, 78, 1, 35, "Print"],
Cell[4785, 166, 89, 1, 35, "Print"],
Cell[4877, 169, 89, 1, 35, "Print"],
Cell[4969, 172, 93, 1, 35, "Print"],
Cell[5065, 175, 102, 2, 35, "Print"],
Cell[5170, 179, 96, 2, 35, "Print"],
Cell[5269, 183, 91, 1, 35, "Print"],
Cell[5363, 186, 104, 2, 35, "Print"],
Cell[5470, 190, 88, 1, 35, "Print"],
Cell[5561, 193, 76, 1, 35, "Print"],
Cell[5640, 196, 108, 2, 35, "Print"],
Cell[5751, 200, 49, 1, 35, "Print"],
Cell[5803, 203, 56, 1, 35, "Print"],
Cell[5862, 206, 77, 1, 35, "Print"],
Cell[5942, 209, 36, 1, 35, "Print"],
Cell[5981, 212, 216, 4, 35, "Print"],
Cell[6200, 218, 78, 1, 35, "Print"],
Cell[6281, 221, 79, 1, 35, "Print"],
Cell[6363, 224, 84, 1, 35, "Print"],
Cell[6450, 227, 90, 1, 35, "Print"],
Cell[6543, 230, 90, 1, 35, "Print"],
Cell[6636, 233, 91, 1, 35, "Print"],
Cell[6730, 236, 104, 2, 35, "Print"],
Cell[6837, 240, 108, 2, 35, "Print"],
Cell[6948, 244, 92, 1, 35, "Print"],
Cell[7043, 247, 101, 2, 35, "Print"],
Cell[7147, 251, 96, 2, 35, "Print"],
Cell[7246, 255, 49, 1, 35, "Print"],
Cell[7298, 258, 56, 1, 35, "Print"],
Cell[7357, 261, 77, 1, 35, "Print"],
Cell[7437, 264, 77, 1, 35, "Print"],
Cell[7517, 267, 76, 1, 35, "Print"],
Cell[7596, 270, 77, 1, 35, "Print"],
Cell[7676, 273, 271, 5, 35, "Print"],
Cell[7950, 280, 8004, 212, 105, "Print"],
Cell[15957, 494, 285, 5, 60, "Print"],
Cell[16245, 501, 8000, 212, 105, "Print"],
Cell[24248, 715, 285, 5, 60, "Print"],
Cell[24536, 722, 4344, 116, 86, "Print"],
Cell[28883, 840, 285, 5, 60, "Print"],
Cell[29171, 847, 7468, 198, 86, "Print"],
Cell[36642, 1047, 77, 1, 35, "Print"],
Cell[36722, 1050, 866, 14, 160, "Print"],
Cell[37591, 1066, 223, 3, 60, "Print"],
Cell[37817, 1071, 77, 1, 35, "Print"],
Cell[37897, 1074, 293, 6, 60, "Print"],
Cell[38193, 1082, 340, 9, 78, "Print"],
Cell[38536, 1093, 453, 13, 78, "Print"],
Cell[38992, 1108, 453, 13, 78, "Print"],
Cell[39448, 1123, 580, 18, 78, "Print"],
Cell[40031, 1143, 384, 11, 81, "Print"],
Cell[40418, 1156, 77, 1, 35, "Print"],
Cell[40498, 1159, 291, 6, 60, "Print"],
Cell[40792, 1167, 297, 8, 78, "Print"],
Cell[41092, 1177, 263, 7, 60, "Print"],
Cell[41358, 1186, 263, 7, 60, "Print"],
Cell[41624, 1195, 263, 7, 60, "Print"],
Cell[41890, 1204, 297, 8, 81, "Print"],
Cell[42190, 1214, 297, 8, 78, "Print"],
Cell[42490, 1224, 253, 6, 60, "Print"],
Cell[42746, 1232, 263, 7, 60, "Print"],
Cell[43012, 1241, 77, 1, 35, "Print"],
Cell[43092, 1244, 270, 4, 85, "Print"],
Cell[43365, 1250, 213, 3, 60, "Print"],
Cell[43581, 1255, 104, 2, 35, "Print"],
Cell[43688, 1259, 253, 5, 35, "Print"],
Cell[43944, 1266, 77, 1, 35, "Print"],
Cell[44024, 1269, 218, 4, 35, "Print"],
Cell[44245, 1275, 77, 1, 35, "Print"],
Cell[44325, 1278, 256, 4, 35, "Print"],
Cell[44584, 1284, 192, 4, 35, "Print"],
Cell[44779, 1290, 5596, 153, 36, "Print"],
Cell[50378, 1445, 325, 6, 35, "Print"],
Cell[50706, 1453, 192, 4, 35, "Print"],
Cell[50901, 1459, 4208, 119, 37, "Print"],
Cell[55112, 1580, 325, 6, 35, "Print"],
Cell[55440, 1588, 192, 4, 35, "Print"],
Cell[55635, 1594, 391, 11, 37, "Print"],
Cell[56029, 1607, 321, 6, 35, "Print"],
Cell[56353, 1615, 192, 4, 35, "Print"],
Cell[56548, 1621, 1456, 41, 37, "Print"],
Cell[58007, 1664, 325, 6, 35, "Print"],
Cell[58335, 1672, 192, 4, 35, "Print"],
Cell[58530, 1678, 5234, 143, 36, "Print"],
Cell[63767, 1823, 325, 6, 35, "Print"],
Cell[64095, 1831, 192, 4, 35, "Print"],
Cell[64290, 1837, 3148, 89, 37, "Print"],
Cell[67441, 1928, 325, 6, 35, "Print"],
Cell[67769, 1936, 192, 4, 35, "Print"],
Cell[67964, 1942, 391, 11, 37, "Print"],
Cell[68358, 1955, 321, 6, 35, "Print"],
Cell[68682, 1963, 192, 4, 35, "Print"],
Cell[68877, 1969, 5234, 143, 36, "Print"],
Cell[74114, 2114, 325, 6, 35, "Print"],
Cell[74442, 2122, 192, 4, 35, "Print"],
Cell[74637, 2128, 3148, 89, 37, "Print"],
Cell[77788, 2219, 325, 6, 35, "Print"],
Cell[78116, 2227, 194, 4, 35, "Print"],
Cell[78313, 2233, 1456, 41, 37, "Print"],
Cell[79772, 2276, 327, 6, 35, "Print"],
Cell[80102, 2284, 77, 1, 35, "Print"],
Cell[80182, 2287, 77, 1, 35, "Print"],
Cell[80262, 2290, 380, 7, 35, "Print"],
Cell[80645, 2299, 35, 1, 35, "Print"],
Cell[80683, 2302, 132, 2, 35, "Print"],
Cell[80818, 2306, 136, 2, 35, "Print"],
Cell[80957, 2310, 218, 3, 60, "Print"],
Cell[81178, 2315, 35, 1, 35, "Print"],
Cell[81216, 2318, 126, 2, 35, "Print"],
Cell[81345, 2322, 77, 1, 35, "Print"],
Cell[81425, 2325, 380, 7, 35, "Print"],
Cell[81808, 2334, 35, 1, 35, "Print"],
Cell[81846, 2337, 132, 2, 35, "Print"],
Cell[81981, 2341, 136, 2, 35, "Print"],
Cell[82120, 2345, 218, 3, 60, "Print"],
Cell[82341, 2350, 35, 1, 35, "Print"],
Cell[82379, 2353, 126, 2, 35, "Print"],
Cell[82508, 2357, 77, 1, 35, "Print"],
Cell[82588, 2360, 380, 7, 35, "Print"],
Cell[82971, 2369, 35, 1, 35, "Print"],
Cell[83009, 2372, 132, 2, 35, "Print"],
Cell[83144, 2376, 49, 1, 35, "Print"],
Cell[83196, 2379, 218, 3, 60, "Print"],
Cell[83417, 2384, 35, 1, 35, "Print"],
Cell[83455, 2387, 126, 2, 35, "Print"],
Cell[83584, 2391, 77, 1, 35, "Print"],
Cell[83664, 2394, 380, 7, 35, "Print"],
Cell[84047, 2403, 35, 1, 35, "Print"],
Cell[84085, 2406, 132, 2, 35, "Print"],
Cell[84220, 2410, 65, 1, 35, "Print"],
Cell[84288, 2413, 218, 3, 60, "Print"],
Cell[84509, 2418, 35, 1, 35, "Print"],
Cell[84547, 2421, 126, 2, 35, "Print"],
Cell[84676, 2425, 77, 1, 35, "Print"],
Cell[84756, 2428, 380, 7, 35, "Print"],
Cell[85139, 2437, 244, 4, 81, "Print"],
Cell[85386, 2443, 132, 2, 35, "Print"],
Cell[85521, 2447, 65, 1, 35, "Print"],
Cell[85589, 2450, 218, 3, 60, "Print"],
Cell[85810, 2455, 118, 2, 35, "Print"],
Cell[85931, 2459, 241, 3, 60, "Print"],
Cell[86175, 2464, 65, 1, 35, "Print"],
Cell[86243, 2467, 118, 2, 35, "Print"],
Cell[86364, 2471, 207, 3, 60, "Print"],
Cell[86574, 2476, 82, 1, 35, "Print"],
Cell[86659, 2479, 2824, 77, 36, "Print"],
Cell[89486, 2558, 273, 5, 35, "Print"],
Cell[89762, 2565, 77, 1, 35, "Print"],
Cell[89842, 2568, 380, 7, 35, "Print"],
Cell[90225, 2577, 35, 1, 35, "Print"],
Cell[90263, 2580, 132, 2, 35, "Print"],
Cell[90398, 2584, 81, 1, 35, "Print"],
Cell[90482, 2587, 218, 3, 60, "Print"],
Cell[90703, 2592, 35, 1, 35, "Print"],
Cell[90741, 2595, 241, 3, 60, "Print"],
Cell[90985, 2600, 65, 1, 35, "Print"],
Cell[91053, 2603, 81, 1, 35, "Print"],
Cell[91137, 2606, 207, 3, 60, "Print"],
Cell[91347, 2611, 82, 1, 35, "Print"],
Cell[91432, 2614, 689, 20, 37, "Print"],
Cell[92124, 2636, 273, 5, 35, "Print"],
Cell[92400, 2643, 77, 1, 35, "Print"],
Cell[92480, 2646, 380, 7, 35, "Print"],
Cell[92863, 2655, 35, 1, 35, "Print"],
Cell[92901, 2658, 132, 2, 35, "Print"],
Cell[93036, 2662, 49, 1, 35, "Print"],
Cell[93088, 2665, 218, 3, 60, "Print"],
Cell[93309, 2670, 35, 1, 35, "Print"],
Cell[93347, 2673, 126, 2, 35, "Print"],
Cell[93476, 2677, 77, 1, 35, "Print"],
Cell[93556, 2680, 380, 7, 35, "Print"],
Cell[93939, 2689, 35, 1, 35, "Print"],
Cell[93977, 2692, 132, 2, 35, "Print"],
Cell[94112, 2696, 104, 2, 35, "Print"],
Cell[94219, 2700, 218, 3, 60, "Print"],
Cell[94440, 2705, 35, 1, 35, "Print"],
Cell[94478, 2708, 241, 3, 60, "Print"],
Cell[94722, 2713, 65, 1, 35, "Print"],
Cell[94790, 2716, 104, 2, 35, "Print"],
Cell[94897, 2720, 207, 3, 60, "Print"],
Cell[95107, 2725, 82, 1, 35, "Print"],
Cell[95192, 2728, 359, 10, 35, "Print"],
Cell[95554, 2740, 273, 5, 35, "Print"],
Cell[95830, 2747, 77, 1, 35, "Print"],
Cell[95910, 2750, 380, 7, 35, "Print"],
Cell[96293, 2759, 346, 5, 60, "Print"],
Cell[96642, 2766, 132, 2, 35, "Print"],
Cell[96777, 2770, 49, 1, 35, "Print"],
Cell[96829, 2773, 218, 3, 60, "Print"],
Cell[97050, 2778, 112, 2, 35, "Print"],
Cell[97165, 2782, 241, 3, 60, "Print"],
Cell[97409, 2787, 65, 1, 35, "Print"],
Cell[97477, 2790, 87, 1, 35, "Print"],
Cell[97567, 2793, 207, 3, 60, "Print"],
Cell[97777, 2798, 82, 1, 35, "Print"],
Cell[97862, 2801, 2168, 61, 37, "Print"],
Cell[100033, 2864, 273, 5, 35, "Print"],
Cell[100309, 2871, 77, 1, 35, "Print"],
Cell[100389, 2874, 382, 7, 35, "Print"],
Cell[100774, 2883, 35, 1, 35, "Print"],
Cell[100812, 2886, 132, 2, 35, "Print"],
Cell[100947, 2890, 65, 1, 35, "Print"],
Cell[101015, 2893, 218, 3, 60, "Print"],
Cell[101236, 2898, 35, 1, 35, "Print"],
Cell[101274, 2901, 126, 2, 35, "Print"],
Cell[101403, 2905, 226, 3, 85, "Print"],
Cell[101632, 2910, 343, 6, 35, "Print"],
Cell[101978, 2918, 258, 5, 35, "Print"],
Cell[102239, 2925, 98, 2, 35, "Print"],
Cell[102340, 2929, 230, 4, 35, "Print"],
Cell[102573, 2935, 256, 8, 35, "Print"],
Cell[102832, 2945, 76, 1, 35, "Print"],
Cell[102911, 2948, 60, 1, 35, "Print"],
Cell[102974, 2951, 1433, 40, 35, "Print"],
Cell[104410, 2993, 344, 6, 35, "Print"],
Cell[104757, 3001, 98, 2, 35, "Print"],
Cell[104858, 3005, 230, 4, 35, "Print"],
Cell[105091, 3011, 674, 20, 37, "Print"],
Cell[105768, 3033, 76, 1, 35, "Print"],
Cell[105847, 3036, 60, 1, 35, "Print"],
Cell[105910, 3039, 2201, 60, 37, "Print"],
Cell[108114, 3101, 344, 6, 35, "Print"],
Cell[108461, 3109, 98, 2, 35, "Print"],
Cell[108562, 3113, 230, 4, 35, "Print"],
Cell[108795, 3119, 2123, 61, 37, "Print"],
Cell[110921, 3182, 76, 1, 35, "Print"],
Cell[111000, 3185, 60, 1, 35, "Print"],
Cell[111063, 3188, 6187, 160, 37, "Print"],
Cell[117253, 3350, 344, 6, 35, "Print"],
Cell[117600, 3358, 98, 2, 35, "Print"],
Cell[117701, 3362, 230, 4, 35, "Print"],
Cell[117934, 3368, 2782, 77, 36, "Print"],
Cell[120719, 3447, 76, 1, 35, "Print"],
Cell[120798, 3450, 60, 1, 35, "Print"],
Cell[120861, 3453, 11705, 294, 95, "Print"],
Cell[132569, 3749, 344, 6, 35, "Print"],
Cell[132916, 3757, 98, 2, 35, "Print"],
Cell[133017, 3761, 90, 1, 35, "Print"],
Cell[133110, 3764, 351, 6, 60, "Print"],
Cell[133464, 3772, 7955, 212, 51, "Print"],
Cell[141422, 3986, 7951, 212, 51, "Print"],
Cell[149376, 4200, 4295, 116, 36, "Print"],
Cell[153674, 4318, 7419, 198, 36, "Print"],
Cell[161096, 4518, 60, 1, 85, "Print"],
Cell[161159, 4521, 956, 22, 35, "Print"],
Cell[162118, 4545, 561, 12, 35, "Print"],
Cell[162682, 4559, 90, 1, 35, "Print"],
Cell[162775, 4562, 418, 6, 110, "Print"],
Cell[163196, 4570, 90, 1, 35, "Print"],
Cell[163289, 4573, 101, 2, 35, "Print"],
Cell[163393, 4577, 471, 14, 35, "Print"],
Cell[163867, 4593, 133, 2, 35, "Print"],
Cell[164003, 4597, 90, 1, 35, "Print"],
Cell[164096, 4600, 63, 1, 35, "Print"],
Cell[164162, 4603, 257, 5, 35, "Print"],
Cell[164422, 4610, 1041, 30, 37, "Print"],
Cell[165466, 4642, 71, 1, 35, "Print"],
Cell[165540, 4645, 1037, 30, 37, "Print"],
Cell[166580, 4677, 164, 2, 60, "Print"],
Cell[166747, 4681, 90, 1, 35, "Print"],
Cell[166840, 4684, 63, 1, 35, "Print"],
Cell[166906, 4687, 257, 5, 35, "Print"],
Cell[167166, 4694, 3801, 101, 36, "Print"],
Cell[170970, 4797, 71, 1, 35, "Print"],
Cell[171044, 4800, 3797, 101, 36, "Print"],
Cell[174844, 4903, 164, 2, 60, "Print"],
Cell[175011, 4907, 90, 1, 35, "Print"],
Cell[175104, 4910, 63, 1, 35, "Print"],
Cell[175170, 4913, 257, 5, 35, "Print"],
Cell[175430, 4920, 3020, 84, 37, "Print"],
Cell[178453, 5006, 71, 1, 35, "Print"],
Cell[178527, 5009, 3016, 84, 37, "Print"],
Cell[181546, 5095, 164, 2, 60, "Print"],
Cell[181713, 5099, 90, 1, 35, "Print"],
Cell[181806, 5102, 260, 5, 35, "Print"],
Cell[182069, 5109, 304, 6, 35, "Print"]
}, Open  ]],
Cell[182388, 5118, 261, 9, 48, "Text"],
Cell[182652, 5129, 284, 9, 48, "Text"],

Cell[CellGroupData[{
Cell[182961, 5142, 49, 1, 42, "Input"],
Cell[183013, 5145, 77, 1, 35, "Print"],
Cell[183093, 5148, 198, 4, 35, "Print"],
Cell[183294, 5154, 50, 1, 35, "Print"],
Cell[183347, 5157, 58, 1, 35, "Print"],
Cell[183408, 5160, 120, 2, 35, "Print"],
Cell[183531, 5164, 77, 1, 35, "Print"],
Cell[183611, 5167, 198, 4, 35, "Print"],
Cell[183812, 5173, 72, 1, 37, "Print"],
Cell[183887, 5176, 58, 1, 35, "Print"],
Cell[183948, 5179, 164, 2, 37, "Print"],
Cell[184115, 5183, 77, 1, 35, "Print"],
Cell[184195, 5186, 198, 4, 35, "Print"],
Cell[184396, 5192, 178, 3, 37, "Print"],
Cell[184577, 5197, 58, 1, 35, "Print"],
Cell[184638, 5200, 435, 7, 89, "Print"],
Cell[185076, 5209, 77, 1, 35, "Print"],
Cell[185156, 5212, 198, 4, 35, "Print"],
Cell[185357, 5218, 531, 13, 37, "Print"],
Cell[185891, 5233, 58, 1, 35, "Print"],
Cell[185952, 5236, 2008, 47, 153, "Print"]
}, Open  ]],
Cell[187975, 5286, 293, 9, 48, "Text"],

Cell[CellGroupData[{
Cell[188293, 5299, 123, 3, 42, "Input"],
Cell[188419, 5304, 77, 1, 35, "Print"],
Cell[188499, 5307, 222, 4, 35, "Print"],
Cell[188724, 5313, 50, 1, 35, "Print"],
Cell[188777, 5316, 58, 1, 35, "Print"],
Cell[188838, 5319, 120, 2, 35, "Print"],
Cell[188961, 5323, 300, 5, 35, "Print"],
Cell[189264, 5330, 77, 1, 35, "Print"],
Cell[189344, 5333, 222, 4, 35, "Print"],
Cell[189569, 5339, 72, 1, 37, "Print"],
Cell[189644, 5342, 58, 1, 35, "Print"],
Cell[189705, 5345, 164, 2, 37, "Print"],
Cell[189872, 5349, 300, 5, 35, "Print"],
Cell[190175, 5356, 77, 1, 35, "Print"],
Cell[190255, 5359, 222, 4, 35, "Print"],
Cell[190480, 5365, 531, 13, 37, "Print"],
Cell[191014, 5380, 58, 1, 35, "Print"],
Cell[191075, 5383, 2008, 47, 153, "Print"],
Cell[193086, 5432, 300, 5, 35, "Print"],
Cell[193389, 5439, 77, 1, 35, "Print"],
Cell[193469, 5442, 222, 4, 35, "Print"],
Cell[193694, 5448, 178, 3, 37, "Print"],
Cell[193875, 5453, 58, 1, 35, "Print"],
Cell[193936, 5456, 435, 7, 89, "Print"],
Cell[194374, 5465, 300, 5, 35, "Print"]
}, Open  ]]
}, Open  ]]
}
]
*)



(*******************************************************************
End of Mathematica Notebook file.
*******************************************************************)

